Welcome to Tweaki...for Power Users

Tweaki...for Power Users is your key to customizing the Windows family of operating systems. Whether you use the original version of Windows 95 or the latest offering from Microsoft, Windows Millennium or Windows 2000, Tweaki fully supports all 32 bit versions*.

Tweaki doesn't make Windows, it just makes Windows better.

*Only Windows NT versions above 3.51 supported


Clear all MRU lists at reboot

Clears the following most recently used (MRU) lists:

  • Start Menu | Documents

  • Find or Search | Computer

  • Printer port selection

  • Start Menu | Run

  • Start Menu | Find or Search | Documents

  • Windows Media Player File menu

Default is disabled. Reboot required.


Clear all MRU lists now

Clears the following most recently used (MRU) lists:

  • Start Menu | Documents

  • Find or Search | Computer

  • Printer port selection

  • Start Menu | Run

  • Start Menu | Find or Search | Documents

  • Windows Media Player File menu

NOTE: Not supported on remote connections.


Clear document history from Start Menu at reboot

Clears Start Menu | Documents most recent used (MRU) list on a per user basis at each reboot of the system.

Default is disabled. Reboot required.


Clear document history from Start Menu now

Clears Start Menu | Documents most recent used (MRU) lists for the current logged on user.

Note: If the Document menu has been accessed prior to selecting this option the history list will have been cached. In this case there may be a delay before the history is cleared. A reboot will, however, insure the list is cleared.

NOTE: Not supported on remote connections.


Clear history from Run command at reboot

Clears Start Menu | Run most recent used (MRU) list on a per user basis at each reboot of the system.

Default is disabled. Reboot required.


Clear history from Run command now

Clears Start Menu | Run most recent used (MRU) list for the currently logged on user.

NOTE: Not supported on remote connections.


Disable Add Printer

Removes the Add Printer option from the Start menu and from the Printers folder. Also, users cannot add printers by dragging a printer icon into the Printers folder.

Default is unchecked. Reboot required.


Disable 'Change Password' button

Disables the Change Password button on the Windows Security dialog box (which appears when you press Ctrl+Alt+Del). As a result, users cannot change their Windows password on demand.

Windows NT and Windows 2000 only. Default is unchecked.


Disable 'Lock Workstation' button

Prevents users from locking the system.

Windows NT4 and Windows 2000 only. Default is unchecked.


Disable main Windows Help file

Disables the main Windows Help file. This prevents users from access embedded links and shortcuts to the file system and Internet.

Default is unchecked.


Disable Network Properties dialog

Prevents access to the network configuration applets.

Unsupported on Windows 2000. Default is unchecked.


Disable printer removal

Prevents users from using the Printers folder to delete local and network printers.

Default is unchecked. Reboot required.


Disable right click Active Desktop menu

Disables Active Desktop and prevents users from enabling it.

Requires Internet Explorer 5.x or higher. Default is unchecked.


Disable Start | Settings | Folder Options menu choice

Removes the Folder Options item from all Windows Explorer menus and removes the Folder Options item from Control Panel. As a result, users cannot use the Folder Options dialog box.

Default is unchecked. Reboot required.


Disable Start Menu right click

Prevents users from using the drag-and-drop method to reorder or remove items on the Start menu. Also, it removes context menus from the Start menu.

Default is unchecked. Reboot required.


Disable 'Task Manager' option

Prevents users from starting Task Manager (Taskmgr.exe).

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Hide Active Desktop item from Start | Settings menu

Hides the Active Desktop item on the Settings menu.

Default is unchecked. Reboot required.


Hide Control Panel's 'Display' applet

Prevents Display in Control Panel from running.

Default is unchecked. Reboot required.


Hide Display applet 'Appearance' tab

Removes the Appearance tab from Display in Control Panel. As a result, users cannot use the Display program to change the colors or color scheme of the desktop and windows.

Default is unchecked. Reboot required.


Hide Display applet 'Background' tab

Removes the Background tab from Display in Control Panel. As a result, users cannot use the Display program to change the pattern or wallpaper on the desktop.

Default is unchecked. Reboot required.


Hide Display applet 'Screen Saver' tab

Removes the Screen Saver tab from Display in Control Panel. As a result, users cannot use the Display program to add, configure, or change the screen saver on the computer.

Default is unchecked. Reboot required.


Hide Display applet Settings tab

Removes the Settings tab from Display in Control Panel. As a result, users cannot use the Display program to add, configure, or change the display settings on the computer.

Unsupported on Windows 2000. Default is unchecked. Reboot required.


Hide drives in My Computer

Removes the icons representing selected drives from My Computer and Windows Explorer. Also, the drive letters representing the selected drives do not appear in the standard Open dialog box.

Reboot required.


Hide 'Entire Network' in Network Neighborhood

Removes the Entire Network option and the icons representing networked computers from My Network Places and from the Map Network Drive browser. As a result, users cannot view computers outside of their workgroup or local domain in lists of network resources in Windows Explorer and My Network Places.

Default is unchecked. Reboot required.


Hide folders on user-specific (top) section of Start menu

Hides all folders on the user-specific (top) section of the Start menu. Other items appear, but folders are hidden.

Default is unchecked. Reboot required.


Hide the Computers Near Me icon from My Network Places

Removes the Computers Near Me icon, and the icons representing computers in the workgroup, from My Network Places and from the Map Network Drive browser window.

Windows Me and Windows 2000 only. Default is unchecked. Reboot required.


Hide workgroup contents in Network Neighborhood

Hides the workgroup contents within Network Neighborhood.

Default is unchecked. Reboot required.


Remove 'Administrative Tools' in My Computer

Removes the Administrative Tools item from My Computer | Control Panel.

Windows Me and Windows 2000 only. Default is unchecked.


Remove Control Panel, Printers & My Computer from Explorer and Start Menu

Prevents Control Panel, Printers, and Network and Dial-up Connections from running, and removes the corresponding menu items.

Default is unchecked. Requires reboot.


Remove Desktop icons

Removes icons, shortcuts, and other default and user-defined items from the desktop, including Briefcase, Recycle Bin, My Computer, and My Network Places.

Default is unchecked. Requires reboot.


Remove 'Dial-Up Networking' from My Computer

Removes Dial-Up Networking item from My Computer.

Windows 95/98/98SE only. Default is unchecked. Reboot required.


Remove 'File' menu in Explorer

Removes the File menu from My Computer and Windows Explorer and disables the File menu in Internet Explorer.

Default is unchecked. Reboot required.


Remove 'Find' command from Start Menu

Removes or disables selected search features.

Windows 95/98/98 SE and Windows NT only. Default is unchecked. Reboot required.


Remove 'Log Off' option from Start Menu

Removes the Log Off user-name item from the Start menu and prevents users from restoring it.

Default is unchecked. Reboot required.


Remove 'Map | Disconnect Network Drive'

Prevents users from using Windows Explorer or My Network Places/Network Neighborhood to map or disconnect network drives.

Default is unchecked. Reboot required.


Remove 'My Network Places' from Desktop

Removes the My Network Places icon from the desktop.

Windows Me and Windows 2000 only. Default is unchecked. Reboot required.


Remove 'Network & Dial-up' from My Computer

Removes the Network & Dial-up item from My Computer | Control Panel.

Windows 2000 only. Default is unchecked. Reboot required.


Remove Network Neighborhood from Desktop

Removes the Network Neighborhood icon from the desktop in NT/Win9x and removes the My Network Places icon from the desktop in Windows 2000/WinMe. In addition, disables UNC capability from within the Explorer interface, including the Start menu's Run command, UNC paths configured by the administrator in Policies for shared folders, desktop icons, the Start command, and so forth. This does not impair the functionality of the command line Net.exe command.

Default is unchecked. Reboot required.


Remove Program Groups common to all users

Removes items in the All Users profile from the Programs menu on the Start menu. Only items in the current user's user profile appear.

Default is unchecked. Reboot required.


Remove right click functionality from all components of Taskbar

Hides the menus that appear when you right-click the taskbar or right-click items on the taskbar.

Default is unchecked. Reboot required.


Remove right click functionality from Desktop & Explorer's results pane

Removes shortcut menus from the desktop and Windows Explorer. Shortcut menus appear when you right-click an item.

Default is unchecked. Reboot required.


Remove 'Run' command from Start Menu

Removes the Run command from the Start menu and removes the New Task (Run) command from Task Manager. Also, users with extended keyboards can no longer display the Run dialog box by pressing the Application key (the key with the Windows logo) + R.

Default is unchecked. Reboot required.


Remove 'Scanners and Cameras' from My Computer

Removes the Scanners and Cameras item in My Computer | Control Panel.

Windows Me only. Default is unchecked. Reboot required.


Remove 'Scheduled Tasks from My Computer

Remove Scheduled Tasks from My Computer.

Windows 98/98 SE and Windows NT only. Default is unchecked. Reboot required.


Remove 'Search' command from Start Menu

Removes or disables selected search features.

Windows Me and Windows 2000 only. Default is unchecked. Reboot required.


Remove 'Shut Down' button from Start Menu

Removes the Shut Down item from the Start menu and disables the Shut Down button on the Windows Security dialog box.

As a result, users cannot use the Windows user interface to shut down the system. However, this entry does not prevent users from running programs that shut down Windows.

Default is unchecked. Reboot required.


Remove 'Taskbar' from Start Menu

Prevents users from starting Task Manager (Taskmgr.exe).

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Remove 'Web Folders' from My Computer

Removes Web Folders item from My Computer.

Windows NT and Windows 98/98 SE only. Default is unchecked. Reboot required.


Security Interface


Deny remote administrator access to CD-ROM

Restricts access to data in the CD-ROM drive.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Deny remote administrator access to floppy drive

Restricts access to data in the floppy drive.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable access to Windows Update site

Prevents users from connecting to the Windows Update Web site.

When enabled prevents users from connecting to the Windows Update Web. As well, the Windows Update hyperlink from the Start Menu and from the Tools menu in Internet Explorer is removed.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Reboot required.


Disable browse ability of local file system using "file://" links

Enabling this option disables the ability to browse to the local file system using an embedded HTML link. For example, you cannot browse a file by clicking the HTML link provided by the <a href="file://c:\">My File System</a> tag when this option is enabled.

Requires Internet Explorer 4.01 or higher. Default is unchecked. Reboot required.


Disable changes to Active Desktop

Prevents the user from enabling or disabling Active Desktop or changing the Active Desktop configuration.

When the option is enabled the Web tab is removed from Display in Control Panel and removes the Active Desktop item from the menu that appears when you right-click the desktop. As as result, users cannot enable or disable Active Desktop. If Active Desktop is already enabled, users cannot add, remove, or edit Web content or disable, lock, or synchronize Active Desktop components.

Requires Internet Explorer 5.0 or higher. Default is unchecked. Reboot required.


Disable CMD.EXE and batch file execution

Determines whether users can run the interactive command prompt, Cmd.exe, and determines whether batch files (.cmd and .bat) can run on the system while this user is logged on.

Windows 2000 only. Default is unchecked. Reboot required.


Disable registry editing tools

Disables the Windows registry editors, Regedt32.exe and Regedit.exe.

Reboot required. Default is unchecked.


Disable remote dialin to system

Prevents outside callers to connect to the computer's modem.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked.


Disable Windows key

Disables the Windows key found on newer keyboards.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force use of alphanumeric passwords

Forces Windows to accept only those passwords which contain a combination of numerals and alpha characters.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Reboot required.


Permanently remove hidden default admin shares

Determines whether the default hidden admin shares are enabled at system startup.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Restrict information for NULL logon in NT (SP3+)

When enabled, users who logged on anonymously (also known as null session connections) cannot display lists of domain user names or share names. These users cannot use all of the features of Windows Explorer, Local Users and Groups, or other programs that enumerate users or shares or view Security permissions.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Run only allowed Windows applications

Use this feature to prevent any applications from running on the system except those explicitly outlined here.

By default two applications are already present in the allowed list of applications to run; tweaki.exe & systray.exe. Tweaki is present, of course, in order to roll back your changes. To protect Tweaki enable password protection. SysTray.exe is a necessary Windows component. Do not remove these two items without fully understanding the consequences. To add additional allowed applications to the list select the Add button and browse for the applications.

When you add an application to the list Tweaki checks to make sure the application has an entry within the APP PATHS key of the registry. Any application added to the list must have a valid APP PATHS key in order to run properly. Most applications will have a valid registry entry already and no further action is necessary. However, you should set up a test environment to insure the results required before promoting to a production environment. If a valid entry does not exist for any application you are adding Tweaki will notify you.

Any application not on the list when the option, "Only run allowed Windows applications" is checked will be restricted from running on the system.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Manually creating an APP PATHS key:

Go to Start | Run and type in regedit.

Navigate to the following key:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths

Right click the App Paths key and select New | Key. Type in the executable name of the application your trying to add to the list, i.e. tweaki.exe. Next, highlight the new key and double click its (Default) entry on the right side pane. In the resulting dialog box type in the full path to the application you are adding to the list. Next, right click within an open area of the right side pane and select New | String Value. In the resulting dialog type in the path to the application you are adding to the list. Be certain to leave the executable name out of the path. The path should terminate at the folder containing the executable. View other keys within the App Paths key for examples.


Security System


Use approved shell extensions only

Directs Windows to start only the user interface extensions that the system security or the user have approved.

In Windows 2000, when the system detects that the user is downloading an external program that runs as part of the Windows user interface, the system searches for a digital certificate or requests that the user approve the action.

Reboot required. Default is unchecked.


Disable Change Passwords tab in Passwords applet

When enabled the Change Passwords property page on the Passwords Properties sheet is hidden.

Windows 9x and Windows Me only. Default is unchecked.


Disable file & folder sharing

Disables the Sharing menu selection of the right click menu that appears when right clicking upon a file within Windows Explorer.

Windows 95/98/98 SE only. Default is unchecked. Requires reboot.


Disable File System button on Performance tab

Disables the File System button on the Performance tab in System Properties applet.

Windows 9x and Windows Me only. Default is unchecked.


Disable Hardware Profiles tab

Disable Hardware Profiles tab in System Properties applet.

Windows 9x and Windows Me only. Default is unchecked.


Disable MS-DOS based programs & MS-DOS prompt

When enabled the MS-DOS prompt cannot be accessed and MS-DOS based programs, including batch files, cannot be run on the system.

Windows 9x and Windows Me only. Default is unchecked.


Disable password caching

When enabled the user is forced to enter a password every time one is requested.

If you have Windows 95, 98 clients on your Windows NT network, you can cut the time it takes for these clients to log on to your domain by enabling this option

Windows 9x and Windows Me only. Default is unchecked.


Disable Remote Administration tab in Passwords applet

Remote Administration property page on the Passwords Properties property sheet is hidden.

Windows 9x and Windows Me only. Default is unchecked.


Disable Restart in MS-DOS mode from Shut Down menu

When enabled the option for rebooting into MS-DOS mode is unavailable on the Shut Down menu.

Windows 9x only. Default is unchecked.


Disable User Profiles tab in Passwords applet

When enabled the Profile property page on the Passwords Properties property sheet is hidden.

Windows 9x and Windows Me only. Default is unchecked.


Disable Virtual Memory button on Performance tab

When enabled the Virtual Memory button is unavailable on the Performance tab of the System applet.

Windows 9x and Windows Me only. Default is unchecked.


Hide Access Control tab of Network properties applet

When enabled the Access Control tab of the Network properties applet is unavailable.

Windows 9x and Windows Me only. Default is unchecked.


Hide Identification tab of Network properties applet

When enabled the Identification tab of the Network properties applet is unavailable.

Windows 9x and Windows Me only. Default is unchecked.


Security Windows 9x


Block add tracking sites with security zone

Many Internet companies now try to track your surfing habits while you are connected to the Internet. They collect this information in order to build demographic profiles. The end result is almost certainly an unwanted one --spam.

This option is designed to help control and prevent unwanted, intrusive spying on your web surfing habits. When you enable this feature Tweaki will create a new security zone in Internet Explorer. This new zone, titled Tracking Sites, comes with a canned list of companies known to track your surfing habits across the web. The Tracking Sites zone in effect contains a list of web tracking/advertising related companies you don't trust —that is, sites that you do not wish to track your surfing habits. Although this list certainly doesn't contain every single company on the web that tracks your surfing habits, you can assign sites to this zone yourself to further refine the list. The default security level for the Tracking Zone is High.

When sites are in this zone they cannot write or read cookies to your computer. They also cannot execute Java, scripts or ActiveX content on your system. This means from time to time you may receive a warning from Internet Explorer that a function could not execute when in the Tracking Sites Zone or Unknown (Mixed) zones. In effect, this means you have stopped an offending site from tracking or performing an unwanted activity on your computer. This is good.

Add additional sites to the Tracking Zone:

Open the Internet Options applet of Control Panel and select the Security tab.

In the Web content zone locate the icon titled, Tracking Sites. Highlight this icon and select the button labeled, "Sites".

From the resulting window you will see the list of all the Web sites within the Tracking Zone list. This dialog allows you to remove and add Web sites to the canned list.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature.

Note: This option is not a part of the undo functionality.


Block these web sites

This feature prevents access to any web site that you add to the list. Whether you are using Internet Explorer or Netscape Navigator, if a site is on this list access to the site will fail.

To add a site simply type the address WITHOUT the http:// portion.

For example, to deny access to the following Web sites:

www.porn.uncensored.tv

this.site.isdenied.com

You would enter www.porn.uncensored.tv and this.site.isdenied.com respectively. Note the absence of the http:// portion.

You may add as many sites as you wish to the list. Should you wish to remove a site at a later time simply select the site from the list and select the Delete button. The change will take effect immediately.

Note: This option is not a part of the undo functionality.


Clear IE's typed URL list now

Clears the URL list that appears in the drop down list of Internet Explorer's Address Bar.

NOTE: Not supported on remote connections.


Clear Internet Explorer's typed URL list at reboot

When enabled, at every reboot of the system, the URL list that appears in the drop down list of Internet Explorer's Address Bar will be cleared.

Default is disabled. Reboot required.


Disable ability to change Internet Explorer bands

Prevents users from modifying or moving the Internet Explorer bands (toolbar menus).

Requires Internet Explorer 5.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable ALT + F4

Disables ALL ability to close Internet Explorer including the key combination ALT + F4.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable CTRL + N

Prevents the user from opening a new browser window with the key combination of CTRL + N.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable F11

Prevents the user from placing the browser in full screen mode (Theater mode) using F11.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable F3

Disables the search feature of Internet Explorer using F3.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable IE from checking whether it is default browser

Stops Internet Explorer from checking whether it is the default browser each time it loads.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Internet Options on View menu

Disables Internet Options on the View menu of Internet Explorer (disables changing browser settings from Internet Explorer).

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable modification of Favorites menu

Removes the Favorites menu from Internet Explorer. Prevents adding to the Favorites menu or organizing it.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Open command on File menu

Disables Open command on File menu, CTRL+O, and CTRL+L.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable right click menu

Disables the right click menu that appears when right clicking upon HTML pages in Internet Explorer.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Save and Save As on File menu

Disables Save and Save As on the File menu.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable saving of downloaded files

Prevents user from being able to select a download folder by not displaying the Save As dialog box when a file is downloaded.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Accessibility

Disables the Accessibility window located within the Internet Options applet's General tab.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Advanced

Prevents modification of the Advanced tab located within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Advanced tab

Removes the Advanced tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Automatic Configuration

Disables modification of the Automatic configuration settings located on the Local Area Network dialog of the Internet Options applet's Connections tab.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Certificates

Disables the Certificates... and Publishers... buttons of the Content tab located within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Colors | Links

Disables modification of the links color settings located on the Colors dialog of the Internet Options applet's General tab.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Connection Settings

Disables modification of the connection settings located on the Connections tab within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Connection Wizard

Disables the ability to launch the Internet Connection Wizard.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Connections tab

Removes the Connections tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Content Advisor

Disables the ability to launch the Content Advisor located on the Content tab within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Content tab

Removes the Content tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Fonts

Disables the Fonts window located within the Internet Options applet on the General tab.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | General tab

Removes the General tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | History

Disables the Clear History button of the General tab located within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Home Page

Disables the ability to modify the start page (home page) of Internet Explorer.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Languages

Disables the Languages window located within the Internet Options applet on the General tab.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | My Profile

Disables the My Profile... button of the Content tab located within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Programs tab

Removes the Programs tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Programs Tab | Calendar Contact

Disables the Calendar and Contact list selections of the Internet programs dialog located on the Programs tab of the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Programs Tab | Messaging

Disables the E-mail, Newsgroups and Internet call selections of the Internet programs dialog located on the Programs tab of the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Proxy Server

Disables the Proxy server dialog of the Connections tab located within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Reset Web Settings

Disables the Reset Web Settings button located on the Programs tab within the Internet Options applet.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Security | Sites

Disables the ability to add sites to the Trusted Sites zone.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Security level slider

Disables the security level slider found on the Security tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Security tab

Removes the Security tab located within the Internet Options applet.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Temporary Internet Files

Disables the ability to delete temporary Internet files and prevents modification of the settings that control temporary Internet files. This option is located on the General tab of the Internet Options applet located within Control Panel.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable Tools | Internet Options | Temporary Internet Files | Settings

Prevents modification of the temporary Internet files by disabling the portion of the Settings dialog that controls their configuration. This option is located on the General tab of the Internet Options applet located within Control Panel.

Requires Internet Explorer 4.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Disable View | Source

Disables the ability to view the HTML source code of a web page via the View | Source menu selection.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Flush IE's temp cache when closing Internet Explorer

When enabled Internet Explorer will flush its temporary Internet cache whenever it closes down.

Requires Internet Explorer 4.01 or higher. Default is unchecked.


Internet Explorer Security Zones

Determines whether security zones are visible on the Security tab of the Internet Options applet within Control Panel. If a security zone is checked then it will not be visible within the applet. If it is unchecked users can view the security zone and make modifications to it.

Requires Internet Explorer 4.0 or higher. Default is My Computer checked. Internet Explorer should be closed before modifying this feature.


Security Internet Explorer


Use AutoComplete for Web addresses

Disables the automatic completion of web addresses that occurs when typing in a URL within Internet Explorer's address bar.

Requires Internet Explorer 4.01 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Use AutoComplete in Windows Explorer

Controls the automatic completion of URLs that occurs when typing in a URL within Windows Explorer's address bar.

Requires Internet Explorer 4.01 or higher. Default is unchecked. Internet Explorer should be closed before modifying this feature. Reboot required.


Saving Security templates

Tweaki allows for the saving of your current security selections to a file. This allows for the easy retrieval of the selections for a future application to a different computer. To use this feature do the following:

Make any selections needed from any security tab. Once you are satisfied with your selections type in a name for the template in the field provided. Select the Save button to save the settings. Once saved, you can recall the same setting configuration simply by selecting it from the drop down list.

Should you wish to remove a template select it from the drop down list. Once selected press the Delete button to permanently remove it.

The Hide Drives and Run only allowed Windows applications do not get saved with templates.


Allow rename of Recycle Bin

Determines whether an option appears on the context sensitive menu when right clicking the Recycle Bin icon that allows the renaming of the Recycle Bin.

Default is unchecked.


Disable screen tips

Determines whether the tooltips appear when hovering the cursor over a window control button on a dialog box.

Unsupported in Windows NT 4 and Windows 95. Default is unchecked. Reboot required.


Disable window animation

Determines whether a window animates when being resized.

Default is unchecked. Reboot required.


Display BMP files as thumbnails in Explorer

Determines whether Windows Explorer will display BMP files as a thumbnail.

Default is disabled. Reboot unchecked.


Edit extension descriptions as shown in Explorer

Change the Type description for files based on their file extensions as shown in Windows Explorer.

The default Type description for .TXT files is "Text Document" and the default Type description for .EXE files is "Application". Note in the graphic the Type descriptions have been changed for .TXT & .EXE using Tweaki.

Reboot required.


Edit New menu

Allows removal of items from the New menu.

Tweaki shows you all the New items listed on your context sensitive menu. Select those items you wish to remove. Multiple selections can be made. Once the item is removed you cannot undo the action and the change is permanent.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Note: This feature is not supported by the undo functionality.


Enable Explorer view when dbl clicking My Computer

Determines whether, when opening My Computer from the Desktop, a two pane Windows Explorer view opens or a single pane view listing only the drives.

Unsupported in Windows 2000. Default is unchecked.


Enable export of Dir | File info to file for printing via right click menu

Enable export of Dir/File info to file for printing via right click menu

Permits the user the ability to print a list of the contents of a folder as well as the contents of all its sub folders. Two menu selections are created on the context sensitive menu that appears when right clicking upon a drive or directory within Windows Explorer; Print Directory and Print Directory Tree. Selecting Print Directory creates a Notepad file listing the contents of the directory that was right clicked upon. Selecting Print Directory Tree creates a Notepad file listing the contents of the right clicked upon folder as well as the contents of all the subfolders within the right clicked upon folder. Select the File | Print option of Notepad to print the file.

Default is unchecked.


Enable smooth scrolling in Explorer

Determines whether the scrolling window is redrawn with a smooth scroll effect or if it jumps to its new location.

Default is disabled. Reboot unchecked.


Force Start Menu items to be alphabetical

Causes all shortcuts located on Start Menu | Programs, Start Menu | Favorites and Start Menu | Documents and all of their sub menus to be arranged alphabetically.

Supported only on systems running the Windows Desktop Update.

NOTE: Not supported on remote connections.

Note: This feature is not supported by the undo functionality.


Force Start Menu to display columns vs. scrolling

Determines whether the Start menu will display its menus in a column fashion or whether they must be scrolled when more information exists than can be displayed.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Reboot required.


Increase icon cache size

If your desktop icons redraw frequently try raising this value.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Default is 500. Range 100 - 2000.


No 'Shortcut to' prefix

Disables Windows from prefixing newly created shortcuts with the "Shortcut to..." prefix.

Default is unchecked. Reboot required.


Place cascading Control Panel on Start Menu

Places the contents of Control Panel as a cascading menu on the Start Menu.

Default is unchecked.


Place cascading History folder on Start Menu

Places the contents of the History folder as a cascading menu on the Start Menu.

Default is unchecked.


Place cascading Printer folder on Start Menu

Places the contents of the Printers folder as a cascading menu on the Start Menu.

Default is unchecked.


Rebuild icon cache

Rebuilds the system icon cache.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Unsupported in Windows NT and Windows 2000. Reboot required.


Remove 'Click here to begin' from Taskbar at boot up

Determines whether the animated "Click here to begin" arrow appears on the Taskbar as Windows boot up.

Unsupported on Windows Me and Windows 2000. Default is unchecked. Reboot required.


Remove Documents folder

Removes the Documents folder from the Start Menu.

Default is unchecked. Requires Internet Explorer 4.0 or higher and Windows Desktop Update be installed.


Remove Favorites folder

Removes the Favorites folder from the Start Menu.

Default is unchecked.


Remove shortcut arrows

Removes the small arrow that appears overlayed on icons representing shortcuts.

Default is unchecked. Reboot required.


Show inherent icons in DLLs

Determines whether Windows Explorer will show the internal icon of DLLs or show only the system specified icon for DLLs. This makes the icon more meaningful and helps determine what application it is associated with.

Default is disabled. Reboot unchecked.


Speed up the Start menu

Determines the interval from the time the cursor is pointed at a menu until the sub menu items are displayed. Measured in milliseconds, a lower value causes the sub menu to pop out quicker while a larger value creates a longer delay.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Unsupported on Windows NT 4 SP5. Default is 400. Range 0 - 999.


Win Tweaks Interface


Add right click menu for DOS box

Creates a new option on right click menus that appear whenever a drive or folder is right clicked upon in Windows Explorer. The new option, Open DOS Box here, allows you to open a DOS box with the command prompt sitting at the drive or folder that was right clicked upon.

Default is unchecked.


App Launch Manager

The App Launch Manager allows you to disable utilities and applications that start each time your computer boots up. These applications and utilities can start from many different locations on your computer, some obvious and some not so obvious. The App Launch Manager pulls all these locations together into a single interface. This allows you to easily locate and disable any applications or utilities you do not wish to load at system startup. Should you wish to restore an application that you previously disabled, the App Launch Manager makes it easy to do so. In addition, you can use the App Launch Manager to add applications and utilities to the different startup locations on your computer.

Using the App Launch Manager

Every location that a utility or application loads from on your system is found in the drop down list under "Select the startup location to view":

Select one of the locations in the drop down list to view any possible applications that may be starting from that location. When remotely connected the remote computer's startup locations are listed in the drop down list as well. Once a location has been selected, if any files are loading from that selection they will be listed in the Startup items field.

Further information about the Startup item can be made by selecting it from the list. Any additional information about the item will appear on the right in the Stats section. For example, selecting a shortcut from the Startup Group items displays properties about the shortcut within the Stats section. Not all shortcuts contain a full complement of stats. Those that do offer some degree of information will make it easier to determine what the item does.

Disabling a Startup item

Once an item has been highlighted within the Startup items list it can then be disabled. Multiple selections can be made. Once an item(s) is highlighted, select the button labeled, "Disable selected" to disable the item(s). When an item is disabled it moves into the Disabled Startup items list.

Enabling a disabled Startup item

To restore a disabled item(s) to functionality again highlight it in the Disabled Startup items list and select the button labeled, "Enable selected". This returns the item back to its original state and moves it to the Startup items list.

Deleting a disabled Startup item

If you wish to permanently remove a disabled Startup item highlight in within the Disabled Startup items list. Once you have highlighted the item(s) you wish to permanently remove select the Delete button.

Adding items to the Startup item list

You can use the App Launch Manager to add new startup item(s) to any startup location on your computer. To do so, select the startup location you wish to add an item to. Then select the Add button to browse to the item you wish to add. Once located, simply select it to add it to the startup location.

Note: This feature is not supported by the undo functionality.


Change Company & Registration

Allows the editing of the user name and company name entered at the time Windows was installed.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.


Change default install location

Edit the default directory for application installations, (this is typically C:\Program Files). Most applications use this value in order to determine where to install the application files into.

Note: When changing this value for remote computers you should first connect to the remote computer. Once connected select "View Remote settings" before editing the default install location.


Change Window's install path

Allows the edit of the path from which Windows Setup obtains its source files. If, for example, you originally installed Windows from a path that no longer exists or no longer contains Windows's CAB files, you might want to change the Setup source path to retrieve its files from a new location that contains the CAB files.

Note: When changing this value for remote computers you should first connect to the remote computer. Once connected select "View Remote settings" before editing the default install location.

Tip: When viewing a remote setup source path the path shown is relative to the remote computer.


Create right click menus

Use the Right Click Wizard to create a new option on the context sensitive menu that appears when right clicking upon a file within Windows Explorer.

This option is extremely useful for those times when you would prefer to open a file with an application other than the one it is registered with. Once a menu has been created its easy to right click upon a file within Windows Explorer and have it open into an application of your choosing.

Creating right click menus

Launch the wizard to begin the steps for creating a right click menu. After the wizard loads select the Next button. From the two options choose to "Create right click menus" and select Next. The resulting window lists all the file types on your system. If you are remotely connected you also have the option of listing the file types on the remote computer as well. Locate the file types you wish to create right click menu selections for.

Multiple selections can be made. Once you have selected the file types click the Next button.

In the first field type in the text you wish to appear on the right click menu. Note this field has a drop down list containing your most recently used text phrases for easy retrieval. In the second field enter the path to the application that will be used for loading the file type into. You may use the Browse button to help locate the application. This field also has a drop down list containing your application path MRUs. Once both fields have been properly entered select the Next button if further file types will be created or Finish for completing the right click menu creation.

Removing right click menus you have created

Launch the Right Click Wizard and select the Next button. From the resulting window select to "Remove right click menus" and select Next. On the resulting window you are presented with a list of all the right click menus that have been created. If you are remotely connected you can also select to view the right click menus created for the remote computer.

The items are organized by the applications designated to open file types with. Simply locate the items you wish to remove and place a check in their corresponding box. Click the Next button to remove those items.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Note: This feature is not supported by the undo functionality.


Disable audio CD auto play

Autoplay begins reading from a drive as soon as you insert media in the drive. As a result, the setup file of programs and the music on audio media starts immediately.

This option disables the Autoplay feature for audio media on CD-ROM drives.

Not supported on Windows NT and Windows 2000. Auto Insert Notification must be enabled. Default is unchecked. Reboot required.


Disable Back button on Common Dialog

Removes the navigational Back arrow on the common dialog control, e.g. File | Open dialog.

Requires comdlg32.dll be version 4.72.3510.2300 or higher. Default is unchecked.


Disable CD-ROM auto play

Autoplay begins reading from a drive as soon as you insert media in the drive. As a result, the setup file of programs and the music on audio media starts immediately.

This option disables the Autoplay feature on CD-ROM drives.

Auto Insert Notification must be enabled. Default is unchecked. Reboot required.


Disable File MRU on Common Dialog

Disables the file MRU list of the common dialog control, e.g. File | Open dialog.

Requires comdlg32.dll be version 4.72.3510.2300 or higher. Default is unchecked.


Disable Places Bar on Common Dialog

Disables the navigational Places Bar on the common dialog control, e.g. File | Open dialog.

Requires comdlg32.dll be version 4.72.3510.2300 or higher. Default is unchecked.


Disable the system's internal speaker

Disables the system's internal PC speaker.

Default is unchecked. Reboot required.


Edit OEM system information

Allows the user to modify, create or edit the vendor support information that typically appears on the General tab of the System applet located within Control Panel.

To modify or create this information select the option "Edit OEM system information". The resulting window allows you to edit the system vendor information.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Manufacturer: Typically used to list the vendor name.

Model: Typically used to list the model of the computer.

Logo: Indicates a BMP file to use for displaying the vendor logo. Use the Browse button to locate graphics.

Tip: The BMP file should be no larger than 120 x 120 in size and contain no more than 256 colors. The file must be a BMP file graphic type.

Support Information: Indicates any contact or support information for the vendor.

Once any changes have been made select the Apply button to commit those changes.

Note: This feature is not supported by the undo functionality.


Enable auto logon

Enabling the auto logon feature allows Windows to boot up without the need for a user to enter logon credentials.

Enabling auto logon

Load the auto logon dialog and enter a non blank username and password. Once you have properly entered both fields the Apply button will become available. Select it to commit the change.

Disabling auto logon

Load the auto logon dialog and select the Disable button to disable the auto logon functionality.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Tip: If your current username or password is blank you must change it to a non blank entry in order to properly enable auto logon.

Tip: The option "Don't display last username in logon dialog" cannot be enabled when the auto logon feature is enabled.

Note: This feature is not supported by the undo functionality.


Enable X-Mouse support

Enabling this option sets the focus to whatever window the mouse is pointing to, although it won't bring it up to the top of the stack.

Not supported in Windows 95. Default is unchecked. Reboot required.


Fast File Access

When a file has been enabled using Fast File Access, launching it becomes as easy as typing the file name into the Run dialog. The file also becomes available via the command prompt. Using Fast File Access to start files uses less disk space than creating a shortcut to the file --especially on FAT16 drives. Fast File Access achieves its results by creating an application path key within the registry for those applications that do not have them.

Define a file with Fast File Access

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

To setup a file with Fast File Access select the button labeled, "Select Application". This presents a browse dialog for locating the file you wish to define. Once the file has been located selecting it from within the browse dialog immediately defines it for Fast File Access.

Tip: When starting files from the command prompt always prepend the file name with START, e.g., START WordPad

Note: Some files are already accessible from the Run dialog and command prompt. For those files there is no need to use Fast File Access. This option is not supported by the undo functionality.


Ignore Desktop changes

Prevents users from saving certain changes to the desktop. Users can change the desktop, but some changes, such as the positions of open windows and the size and position of the taskbar, are not saved when users log off. Shortcuts placed on the desktop are always saved.

Default is unchecked. Reboot required.


Place Open With on right click menu

Enabling this option places a Open With selection on the right click menu that appears when right clicking upon a file in Windows Explorer. Using this new selection causes the 'Open With' dialog to load. This allows you to re-associate the file type with a new program or to open it with a program other than the one it is associated with.

If the file type right clicked upon is a non-registered file type an additional Open With selection will appear on the right click menu. This selection is provided by the OS and either selection can be used.

Not supported in Windows Me or Windows 2000. Default is unchecked.

NOTE: This option breaks the Microsoft Office Toolbar.


Remove ~1 from long DOS names

Determines whether Windows will make a long file name such as A VERY LONG FILE NAME.DOC become AVERYLON.DOC versus AVERYL~1.DOC.

If you create another file with the same first eight characters then Windows uses the tilde for that file name.

Some older programs may become erratic with this option enabled. If you experience erratic behavior from applications set this option back to its default of unchecked.

Default is unchecked. Reboot required.


Remove entry from Control Panel's Add | Remove applet

Remove entry from Control Panel's Add/Remove applet

Allows for the removal and edit of items listed within the Add/Remove applet of Control Panel. This makes it easy to remove those rogue entries that sometimes get left behind when uninstalling applications. As well, you can edit the uninstall commands listed within the applet. This is useful when you have moved an application to another drive and need to redirect the uninstall information to the new drive.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Removing an entry

To remove an entry from the list place a checkmark in its corresponding box. Multiple selections can be made. Once satisfied with your selections click the Delete button to permanently remove the item(s).

Editing an entry

Select the item you wish to edit by placing a check in its corresponding box. Then select the Edit button to make changes to the uninstall command line. Only one selection can be made at a time when editing uninstall command lines.

Launching the uninstallation of an entry

Select the item you wish to have the uninstall begin for. Once selected click the Launch Uninstall button to have the uninstall begin. Only one selection can be made at a time.

Viewing details of an entry

Some of the entries listed in the Add/Remove applet have extra detail information associated with them. If an entry does have further detail information the Detail button will become available when the item is selected --but only if one item is selected at a time.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Note: This feature is not supported by the undo functionality.


Share Common Folders

Permits the editing of the system shell folder locations. This is useful when you would like to share a shell path between multiple computers. For example, you could edit, say, the Temporary Internet Files location to reflect a folder accessible to all of your computers. In this way, all of the computers could share the same folder for temporary Internet files while reducing redundancy and saving space. Another example is setting a common folder for Favorites. Once all computers share the common shell folder for Favorites any changes or additions are reflected for all the other computers sharing the same shell folder.

Sharing common folders

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Load the Share Common Folders dialog to start editing the shell folder paths. Select a folder to edit from the Shell Folders drop down list. Once a selection has been made edit it by selecting the Change button. This opens a browse dialog where you can indicate the new path to use for the shell folder.

Tip: When viewing shell folder paths for remote computers the paths shown are relative to the remote computer.

Setting shell folders to default

Use the button labeled "Set all shell folders to default" in order to have Tweaki write in default values for all the system shell folders. You should only set shell folders to default when you are certain that folders exist for all the default shell folder locations.

Note: This feature is not supported by the undo functionality.


Win Tweaks System


Change IE4's default search engine

By default, Windows uses a random search engine to perform searches. This feature allows you to specify a particular search engine.

Requires Internet Explorer 4.x. Default is Random. Internet Explorer should be closed when modifying this value.


Change Internet Explorer title bar

Allows the text of the Internet Explorer title bar to be changed.

Default is blank. Internet Explorer should be closed when applying changes.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.


Connection timeout

Determines the amount of time Internet Explorer takes before returning from a request with a time out. Values entered are in minutes.

Requires Internet Explorer v4.72.3110.8 or higher. Default is 5. Internet Explorer should be closed when modifying this value.


Create moniker for Favorite item

Monikers allow you to create short, easy to remember phrases for your Internet URLs. Additionally, monikers are hidden and do not leave any telltale sign of what they point to. Monikers are great for creating an easy to remember phrase for websites you would rather not have a shortcut listed in your Favorites folder for. When you use a moniker you need only type in the moniker name in any Internet Explorer address bar to visit a web site instead of selecting a Favorite shortcut or typing a lengthy URL.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Creating monikers

After deciding on a friendly name or moniker for your URL, load the moniker configuration dialog. Type the friendly name into the Name for moniker field. Next, type in the URL that the moniker will point to into the Web address moniker points to field. When you are satisfied you have entered the information in correctly select the Add Moniker button.

Using Monikers

When you have your monikers created you can then type them into any Internet Explorer address bar. You need only preface the moniker with "about:" (without the quotes).

Once you enter the moniker and select Go you will be taken to the web site the moniker points.

Removing monikers

Select the monikers from the User created monikers list. The Remove Moniker button becomes available. Select it to permanently delete the moniker.

Requires Internet Explorer 4.0 or higher. Internet Explorer should be closed before creating a moniker.


Disable automatic proxy caching

When Internet Explorer is configured to use a .pac file, it caches the proxy that is returned by the FindProxyForURL call. The caching mechanism (automatic proxy caching) is performed on a host basis (that is, not on an URL basis). This prevents you from using different proxies to gain access to the same Web server.

Automatic proxy caching is used to improve performance and avoid the parsing of FindProxyForURL on each URL request. You can use this feature to disable automatic proxy caching.

Requires Internet Explorer v5.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this value.


Disable close of unused Favorites & History folders

Determines whether when you close a folder in the Favorites bar, History bar, or Organize Favorites window, any folders opened previously will close.

Default is unchecked. Requires Internet Explorer v5.0 and Windows 2000. Internet Explorer should be closed when changing this value.


Disable disk caching

Determines whether on-disk caching is enabled.

Default is unchecked. Internet Explorer should be closed before modifying this value.


Disable IE password caching

The dialog box that prompts you for your security credentials contains a check box to allow you to save the password so you do not have to type the password again when you attempt to use the same document. This is known as "password caching." This feature determines whether password caching is enabled for Internet Explorer.

Requires Internet Explorer 4.01 SP2 or higher. Default is unchecked. Internet Explorer should be closed before modifying this value.


Disable smooth scrolling

Determines whether the scrolling window is redrawn with a smooth scroll effect or if it jumps to its new location.

Default is unchecked. Internet Explorer should be closed when changing this value.


Edit Explorer search domains

When Internet Explorer tries to resolve an incomplete or inaccurate URL the browser's AutoComplete feature will fill in the rest.

For example, if you enter jermar into IE's address box Internet Explorer will search the domain types listed in the search domains list until a match is found. In this example it would locate www.jermar.com. However, it only searches for entries with .com, .org and .edu extensions by default. This feature allows you to add search domains to the list Internet Explorer searches through when trying to resolve an address.

Current search domains: List the current domains Internet Explorer searches through.

Add a search domain: Enter a domain into the field provided. When a valid domain is entered (alpha characters only) the Add button becomes available. Select it to commit the addition of the domain.

Remove currently selected domain: Select to delete the domain currently selected in the Current search domains list.

Default search domains are .com, .edu. & .org. Requires Internet Explorer 4.0 or higher. No reboot required, however, Internet Explorer should be closed before modifying this value.


Font Size

Allows sizing of the fonts used when rendering web pages within Internet Explorer.

Requires Internet Explorer 4.01 SP2 or higher. Default is Medium. Internet Explorer should be closed before modifying this value.


Outlook Express settings

Disable new Hotmail accounts: Disables the ability of the user to create a new Hotmail account.

Disable Splash Screen: Disables the splash screen that appears whenever you start Outlook Express.

Disable modification of accounts: Disables the user's ability to modify email and newsgroup account information.

Outlook Express Title: Allows the user to modify the text of the Outlook Express title bar.

When multiple Identities are enabled for Outlook Express a drop down list of the Identities becomes available in Tweaki. In this case, Disable Splash Screen and Outlook Express Title are on a per Identity basis.

Uncheck all items and leave Outlook Express Title blank to restore items to default. Outlook Express should be closed when applying these changes.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.


Restore default IE5 animated logo

Permits the restoration of the default animated logo for Internet Explorer if the default logo has been changed by your Internet content provider (ICP), Internet service provider (ISP), or the Microsoft Internet Explorer Administration Kit (IEAK).

Requires Internet Explorer v5.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this value.


Restore default IE5 toolbar background

Permits the restoration of the default background for the Internet Explorer toolbars if the background has been changed by your Internet content provider (ICP), Internet service provider (ISP), or the Microsoft Internet Explorer Administration Kit (IEAK).

Requires Internet Explorer v5.0 or higher. Default is unchecked. Internet Explorer should be closed before modifying this value.


Win Tweaks Internet Explorer


Allow dual booting

If a dual boot configuration is installed this option will allow you to dual boot your previous version of MS-DOS, Windows 3.x or Windows 9x. Setting this option enables the ability to start your previous operating system by pressing F4 or by pressing F8 to use the Windows Startup menu.

On a dual boot system, enabling this option and disabling 'Start Win 9x by default at boot' will boot your previous operating system by default.

Windows 95/98/98 SE only. Default is unchecked on single boot drives.

NOTE: If 'Enable F4, F5, F6, F8 as boot keys' is disabled this option is ignored.

NOTE: With this option disabled you cannot boot your previous operating system. This option is valid only if Windows 9x is installed into a directory other than the one containing Windows 3.x or MS-DOS.


Contiguous free space size for VFAT

Used to change the size of the contiguous space that VFAT searches for when allocating disk space. Under MS-DOS, the file system began allocating the first available space found on the disk, which ensured a great deal of disk fragmentation and related performance problems. By default under Windows 98, VFAT first tries to allocate space in the first contiguous 0.5 MB of free space and then returns to the MS-DOS method if it cannot find at least this much contiguous free space. This optimizes performance for both the swap file and multimedia applications.

In some cases, you might choose to set a smaller value, as when you are not running demanding applications on the computer. A smaller value for this setting, however, can lead to more fragmentation on the disk and, consequently, more disk access for the swap file or applications that require larger amounts of disk space.

Windows 95/98/98 SE/Me only. Default is 512K. Reboot required.


Default boot option on Boot menu

Sets the default menu choice on the Startup menu.

Windows 95/98/98 SE only. Default is 1 if the system is running correctly, 3 if the system hung during the previous boot attempt.


Delay x seconds at Start Menu

Sets the number of seconds your system will wait the Startup menu. If the number of seconds elapses without intervention the Boot Menu default is activated.

Windows 95/98/98 SE only. This option is not functional unless 'Enable display of Boot Menu at boot up' has been checked.


Delay x seconds at Starting Windows 9x

Determines the amount of time the "Starting Windows 9x" message remains on the screen before Windows continues to boot up.

Windows 95/98/98 SE only. Default is 2.


Disable boot in Safe Mode warning

When this option is enabled the warning prompt that appears indicating the system is booting into Safe Mode does not occur.

Windows 95/98/98 SE only. Default is unchecked.


Disable boot of Win9x by default

This option determines whether Windows 9x starts as the default operating system in a dual boot configuration. Enabling this option disables Windows 9x as the default boot OS.

This option is useful only with MS-DOS version 5 or 6.x as the secondary OS in a dual boot configuration.

Windows 95/98/98 SE only. Default is unchecked.

NOTE: Should this option be enabled without a properly installed MS-DOS OS the system will no longer boot.


Disable F4, F5, F6, F8 as boot keys

Determines whether the function keys F4, F5, F6 and F8 are enabled as boot keys.

F4 starts the previous version of MS-DOS (if installed).

F5 starts Windows in Safe Mode.

SHIFT + F5 starts MS-DOS 7.x in Safe Mode without loading config.sys and autoexec.bat.

CTRL + F5 starts MS-DOS 7.x without loading any compressed drives.

F6 starts Windows in Safe Mode with networking (if networking components are installed).

F8 displays the Windows Start menu.

SHIFT + F8 allows confirmation of each line that io.sys, config.sys and autoexec.bat execute.

Windows 95/98/98 SE only. Default is unchecked.

NOTE: With this option checked, for security reasons, the following options will be ignored:

Delay x seconds at startup

Enable display of Boot Menu at boot up

Default boot option on Boot Menu

Delay x seconds at "Starting Windows 9x"

Start in Safe Mode with networking

Allow dual booting


Disable the animated boot logo

Determines whether the animated Windows logo appears during the boot process.

Windows 95/98/98 SE only. Default is unchecked.


Disable COMMAND.COM high

Determines whether Windows loads COMMAND.COM at the top of 640K.

If you are having compatibility issues with software that makes assumptions about available memory try enabling this option.

Windows 95/98/98 SE only. Default is unchecked. Reboot required.


Disable DBLSPACE.BIN at boot

Determines whether DBLSPACE.BIN loads at system startup.

Windows 9x uses either DBLSPACE.BIN or DRVSPACE.BIN if either is present in the root folder of the boot drive at startup. In order to disable a compression driver from being loaded at startup check this and the "Disable DRVSPACE.BIN at boot" options.

Windows 95/98/98 SE only. Default is unchecked.

NOTE: With this option checked you cannot access your compressed drive if it has been compressed with DoubleSpace.


Disable DRVSPACE.BIN at boot

Determines whether DRVSPACE.BIN loads at system startup.

Windows 9x uses either DBLSPACE.BIN or DRVSPACE.BIN if either is present in the root folder of the boot drive at startup. In order to disable a compression driver from being loaded at startup check this and the "Disable DBLSPACE.BIN at boot" options.

Windows 95/98/98 SE only. Default is unchecked.

NOTE: With this option checked you cannot access your compressed drive if it has been compressed with DoubleSpace.

Windows 95/98/98 SE only. Default is unchecked.


Double buffer SCSI devices

Enabling this option creates a conditional setting that enables double buffering for controllers that need it (i.e. SCSI controllers). Most installations of SCSI controllers enable this value during the installation process.

Windows 95/98/98 SE only. Default is unchecked. Reboot required.


Enable display of Boot Menu at boot up

Determines whether the Start Menu appears before loading Windows 9x or MS-DOS 7.x. By default you must press F8 to invoke the Start Menu during the boot process.

Windows 95/98/98 SE only. Default is unchecked.


Restore original boot values

Restores the original 'Boot Options' values that existed before any changes were made.

Windows 95/98/98 SE only. Boot Options are not a part of the undo functionality. Instead, this option replaces the undo functionality for Boot Options.


Safe Mode with Networking

If this option is enabled it means the network was installed and adds "Safe Mode with network support" as an option on the Windows 9x Startup Menu. Disabling this feature prevents network support in Safe Mode even if the system supports networking.

Windows 95/98/98 SE only. Default is unchecked.


ScanDisk behavior

Determines the behavior of ScanDisk at system boot up.

Windows 95 OSR2/98/98 SE only. Default is 'Prompt before running ScanDisk'.


Start in Safe Mode

Forces Windows to start in Safe Mode.

NOTE: If this option is enabled the Start Menu is bypassed and the Startup function keys are ignored.

Windows 95/98/98 SE only. Default is unchecked.


Start in DOS 7.x vs Windows 9x

Enabling this option will force Windows not to issue the "win" command immediately after processing your autoexec.bat. This leaves your system at the command prompt instead of loading Windows.

Windows 95/98/98 SE only. Default is unchecked.


Disable COMM port power management

Toggles power management of the vcomm driver for serial ports.

Windows 95/98/98 SE/Me only.


Disable NetBIOS name resolution on DNS

When Windows tries to resolve a NetBIOS name using a NetBIOS name server, it first checks a Windows Internet Name Service (WINS) server, and then checks a DNS server. Enabling this option will cease this behavior.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Disable this profile from roaming

Determines whether the current profile will be allowed to move between computers on the network.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Enable ACPI power support

Forces Advanced Configuration and Power Interface (ACPI) support in Windows 98/98 SE/Me. This is useful if you have upgraded your system BIOS to ACPI compliant after installing Windows.

NOTE: To enable ACPI support in Windows 98/98 SE/Me you must have an ACPI compatible motherboard and an ACPI 1.0 compliant BIOS.

NOTE: Valid only in Windows 98/98 SE. After enabling the option you must reboot the system. Once rebooted, run the Add New Hardware Wizard with the option to detect all devices. ACPI should then be detected and installed. Once your computer is restarted a second time all ACPI enumerated devices are setup again.

NOTE: If you are prompted for files that the Add New Hardware Wizard cannot find, click Cancel or click Browse and locate the folder to which you copied the Windows 98 CAB files. Do not click Skip File as this can cause Windows 98 to stop responding (hang) when you restart the computer. This situation requires a re-install of the OS to recover from.

NOTE: If duplicate entries exist in Device Manager after enabling ACPI support, click a duplicate entry that is NOT showing a device conflict and then click Remove. For example, if two video adapters are listed and one shows a resource conflict -indicated by a exclamation point in a yellow circle next to the device- remove the OTHER video adapter that DOES NOT show a conflict. The device WITH THE CONFLICT is the one that should now be running in ACPI mode.

Windows 98/98 SE only. Default is unchecked. Reboot required.


Enable display of validation server

Determines whether Windows will pop up a dialog informing you of the server that validated your login.

NOTE: This option is valid only if you log into a network.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Enable display of Win98 version on Desktop

Determines whether Windows will display its current version on the Desktop in the lower right corner.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Enable Fast Reboot

When you shut down Windows all devices are initialized. When Enable Fast Reboot is checked device drivers are not un-initialized. This results in a faster shutdown.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Run defrag at boot before apps start

Determines whether Defrag will be run the next time the system reboots, prior to Windows loading any startup items. This allows Defrag to run without other applications writing to the disk --which causes Defrag to stop and start again repeatedly.

NOTE: Under Windows 95 this option will be disabled if the OS is NOT logged into.

NOTE: Must be set each time prior to running Defrag.

Windows 95/98/98 SE/Me only. Default is unchecked. Reboot required.


Show File Attributes in Detail View

When you click the View tab in the Folder Options dialog box, the Show File Attributes in Detail View option may be missing in the Advanced Settings box. This option allows you to correct that situation by checking the option and rebooting the system.

Windows 98 SE only. Default is unchecked. Reboot required.


Assign additional IPs to a single NIC card

Allows the addition of IP addresses to a single NIC card. Identify the NIC card you wish to add IP addresses to from the drop down list. Once selected, enter the IP address in the fields labeled "IP Address to add". Next, enter the subnet mask for the IP address in the fields labeled "Subnet Mask to add". When satisfied the entries select the Add button to commit the change. Should you wish to remove an entry highlight it and select Remove. This will permanently remove the entry.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows 95/98/98 SE/Me only.


Configure Scanreg

Scanreg, aka. Registry Checker, is a part of Windows 98/98 SE and Windows Me. The Registry Checker backs up your registry every time you shut your PC down. These back ups are located, by default, in the Windows\Sysbckup folder as rbxxx.cab files. Registry Checker also backs up your win.ini and system.ini files each time it backs up the registry. This inherent feature of Windows allows you to return your registry configuration back to a known good version should you experience a problem.

For more information on the Registry Checker tool access the Windows Help file and search for the key words: scanreg.ini and registry.

This feature of Tweaki provides you with an interface for modifying the settings of the Registry Checker tool.

Skip registry backup: Run Scanreg at startup and make a backup copy. Default is unchecked.

Skip registry optimization: Run ScanReg to optimize the registry, reducing its size to improve performance. Default is unchecked.

Max number of backups: Number of backups to store in the backup folder. Range is 0 to 99. Default is 5.

Backup directory: Backup directory where CAB files are stored. Must be a full path, i.e. c:\tmp\backup. Default is Windows\Sysbckup.

Additional files to backup: Additional system files to backup into the CAB file. File names (do not include paths) are separated by a comma (,). When specifying additional files you must select where the files reside from the drop down list. %windir% indicates the Windows folder, %sysdir% indicates the Windows system folder and %bootdir% indicates the root drive of the Windows installation.

For example, if you wished to include autoexec.bat and config.sys on the root drive of the Windows installation you would choose %bootdir% from the drop down list and then enter autoexec.bat,config.sys in the field provided.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows 98/98 SE/Me only.


Launch Windows' Make Compatible exe

Windows provides the Make Compatible utility to make compatible an application that is initially incompatible with Windows. You can use this utility to troubleshoot if you have trouble printing from an application, or if an application stalls or has other performance problems. This utility provides the means to increase stack memory to an application, emulate earlier versions of Windows, and solve other common problems that cause an application not to run with Windows.

Windows 95/98/98 SE/Me only. Available on local system only.


Launch Windows' System Configuration utility

System troubleshooting tool inherent to the Windows operating system.

Windows 95/98/98 SE/Me only. Available on local system only.


Limit Windows' amount of RAM

Determines the amount of RAM available to Windows.

Windows 95/98/98 SE/Me only. Default is "Default". Reboot required.


Windows 9x | Me

Windows 9x/Me


Allow power down when you Shut Down

Determines whether Windows will power off your computer or leave it at the "It is now safe to turn off your computer" prompt.

NOTE: The system BIOS and NT HAL layer must support this feature.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Always launch 16-bit apps in their own VDM

Determines whether Windows will default to loading 16-bit apps into their own virtual DOS machines (VDM).

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Change default logon screen saver

Determines the screen saver Windows will use when no user has logged on.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only. Default is "Logon Screen Saver" with a delay of 900 seconds.


Change the logon bitmap

This option launches a dialog where you can customize the logon bitmap used behind the logon prompt.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only.


Clear page file at shut down

Determines whether Windows will wipe clean the paging file at every shut down of the system. This is especially useful for dual boot systems where a snooping user could potentially view the contents of this file after booting into the other OS.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Control Event Viewer popup errors

Determines whether Windows will notify you of system or application errors.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Windows NT and Windows 2000 only. Default is "All system and application errors pop-up". Reboot required.


Create a custom logon message

Allows the creation of a custom logon message that will appear each time the system boots up.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only.


Disable link file tracking

You may notice that shortcuts created on any computer automatically embed a universal naming convention (UNC) path for the LNK file. For example:

\\machinename\admin$

This embedded UNC in the link can be a problem when it is copied to a server and used in a server based profile. By default, such links are resolved to the original location of the file (the absolute path) before any other path is used (these other paths are referred to as secondary or relative paths). In this case, the UNC path to the original file is always reachable, which prevents the link from being resolved via a local path. As a result, the user trying to execute the shortcut will be asked for the administrator's password for the computer on which the link was created.

To work around this issue enable this feature.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable long file name support on FAT

In some situations, it may be desirable to remove the ability to create long file names on FAT partitions in Windows NT and Windows 2000, such as if MS-DOS based utilities are used regularly on the machine. Some MS-DOS based disk utilities, such as DiskFix (part of PC Tools), may either eliminate the long file names created by Windows or actually delete the files with long names.

Windows NT and Windows 2000 running a FAT file system only. Default is unchecked. Reboot required.


Disable parse of autoexec.bat

By default Windows NT/2000 parses the autoexec.bat file during system startup. This results in the appending of the path statement in the autoexec.bat file to the system path created by Windows NT/2000. Enable this option to disable this behavior.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Do not create Briefcase for new users

By default Windows creates a Briefcase icon on the Desktop each time a new user logs on. Enable this feature to disable this behavior.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Enable display of Windows 2000 version on Desktop

Determines whether Windows will display its version number on the Desktop in the lower right corner.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Enable Tab completion in DOS Box

Determines wether Windows will allow pressing of the TAB key within a DOS Box to complete a path.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force apps to shut down when shutting down

Determines wether Windows will close applications by default that do not respond to the Shut Down request.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force immediate reboot with SHIFT + CTRL + ALT + DEL

Determines wether the system will immediately reboot when the simultaneous press of SHIFT + CTRL + ALT + DEL (4-finger salute) is performed.

NOTE: When enabled and the key combination is performed the system will reboot without properly shutting down open applications and services.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force My Computer to display logon credentials

When enabled the My Computer icon on the Desktop, within Windows Explorer and within dialogs will display the name of the logged on user and the computer name.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force Num Lock on at reboots

Determines whether the system will boot with the Num Lock key on or off.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force reboot after BSOD

Determines whether the system will automatically reboot upon failure or lock-up.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Launch Task List with CTRL + ESC vs. Taskbar

Determines whether the key combination of CTRL + ESC will launch the Task List or the Taskbar.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Low disk space threshold alert

Determines when Windows will issue an alert warning of a low disk space situation. The alert is visible under Event Viewer.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Windows NT and Windows 2000 only. Default is 10%. Reboot required.


NT4 | Windows 2000 General


Popup Errors

Determines which errors appear as pop-up error messages that interrupt the user.

NOTE: Applications determine which of their errors can appear as pop-up errors.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Windows NT and Windows 2000 only. Default is "All errors appear in popups". Reboot required.


Set default logon background color

Determines the background color of the Desktop prior to logging onto Windows.

NOTE: To modify this value on a remote system set the view to the remote system prior to selecting this option.

Windows NT and Windows 2000 only.


Set DOS Box text and background colors

Used to determine the text and background colors of the DOS Box window.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only.


Adjust the size of the Desktop heap

When you run a large number of Windows based applications out of memory errors may appear when you attempt to start new applications or use applications that are already running --even though you still have plenty of physical memory and swap file space available.

This feature allows you to increase the size of the Desktop heap thus avoiding out of memory errors.

NOTE: Because the Desktop heap is mapped into each processs' address space, the Desktop heap should not be set to an arbitrarily high value (as it would decrease performance), but should only be increased sufficiently to allow all the desired applications to run.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only. Default is 3072k. Reboot required.


Balance dual NIC loads

Adding two NICs on the same wire is an inexpensive way to increase your network throughput. However, unless Windows NT/2000 balances the load between the two NICs, you won't get the full benefit. To ensure balance enable this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Bytes locked for IO

By default, Windows NT/2000 allows up to 512K of memory to be locked for I/O operations. If your system has high file activity and more RAM than it can really use, you can speed up your file system by adjusting this amount from the default 512K to 4M or more.

NOTE: Before you make any changes, use Performance Monitor to monitor Average Disk Sec/Transfer for your logical disks. Be sure to monitor performance over a period of time that represents your typical file system activity. Increase the size in small increments and monitor performance again until you see no further improvement. A reasonable maximum limit for this value is one-eighth of your total system memory.

Windows NT and Windows 2000 only. Default is 512k. Reboot required.


Change default printer spool directory

If your system is playing double-duty as both a file and print server, spooling large jobs to the disk can negatively impact your file performance. If you have more than one drive in your system, you can speed up both tasks by putting the print spool on a different drive than your most popular files. Moving the spool to a separate disk and controller is even better.

Windows NT and Windows 2000 only. Default is %WINSYSDIR%\spool\Printers. Reboot required.


Change Workstation size cache to Server size cache

One major difference between Server and Workstation is the default cache model. Server normally runs in a Large Cache model, where all RAM not being used by the system or by applications is marked as available for disk caching. Workstation, on the other hand, uses the Small Cache model. The cache manager attempts to keep 4MB of RAM free to speed up the launch of new applications. If you don't load new programs very often, enabling this option can help you make the most out of the RAM in your system.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Check size of L2 cache that NT "sees"

It is possible that your HAL (Hardware Abstraction Layer) does not recognize the amount of L2 cache you have on the motherboard. If it does not, it will default to 256K.

Use this feature to force Windows to always recognize the amount of L2 cache on the system.

NOTE: This option is only useful for computers with direct-mapped L2 caches. Pentium II and later processors do not have direct- mapped L2 caches. This option can increase performance by approximately 2 percent in certain cases for older computers with ample memory (more than 64 MB) by scattering physical pages better in the address space so there are not so many L2 cache collisions. Setting this feature to 256 KB rather than 2 MB (when the computer has a 2 MB L2 cache) would probably have about a 0.4 percent performance penalty.

Windows NT and Windows 2000 only. Reboot required.


Disable 4 char extension truncation at C prompt

Determines whether NTFS and FAT generate 8.3-format file names for new files.

Enabling this option does not change any existing file name extensions, nor does it change the way these extensions are displayed or managed by Find, File Manager, or Windows Explorer. However, it causes NTFS and FAT to generate short names for new files, and to truncate the third character of file name extensions.

The following example shows how filename.html would be truncated.

Value Short name generated

0 filena~1.htm

1 filena~1.ht~

The following provides an example of how this entry changes the file system's response to commands entered in a command prompt window.

Value Command: del *.htm Command: del *.html

Unchecked: Only files whose extension is .htm are deleted. Only files whose extension is .html are deleted.

Checked: Files whose extensions begin with .htm are deleted, including *.htm and *.html but not *.ht~. Only files whose extension is .html are deleted.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable 8.3 name creation on NTFS volumes

NTFS attempts to accommodate legacy applications by creating an 8.3 alias filename for every file and directory on your system. If you have 16-bit applications that have trouble finding long filenames, enabling this feature may cause them to fail. However, if all your applications are long filename compatible, you can increase NTFS performance by enabling this feature.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable Last Access time stamps on files

Each time you access a directory on a Windows NT/2000 NTFS volume, by using Windows Explorer or the DIR command, for example, Windows updates the LastAccess time stamp on each directory it detects. If your system contains a very large number of directories or supports a large number of users and you don't care about the LastAccess stamp, the small performance hit required for each directory update adds up to wasted performance without producing any real value. To prevent the LastAccess time stamp from being updated enable this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Do not allow kernel & driver code to be paged to disk

Determines whether user mode and kernel mode drivers can be paged to disk when not in use.

Tip: Leaving this option unchecked is useful when debugging drivers because all of the code and data is always memory resident.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Increase application performance during print jobs

In Windows NT/2000 parallel ports do not use any hardware interrupt request lines (IRQs).

The Windows NT/2000 parallel port driver is thread based, and the port is polled at background priority. This eliminates a number of potential hardware conflicts with other devices that might want to use IRQ7 or 5, that used to be the parallel port interrupts.

If you have applications that run very slowly due to large print jobs, you can reduce the thread priority of the port print function by enabling this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


NT4 | Windows 2000 Performance


Run Windows Explorer in seperate process

Run Windows Explorer in separate process

By default, the Windows NT/2000 Desktop, Taskbar, and Explorer run in a single process using multiple threads. Enabling this option, the Taskbar and Desktop will run in one process with each instance of Explorer in a separate process. Each new instance of Explorer.exe will use its own thread.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Set SizRegBuf to 14596

If traffic is light on your TCP/IP network and your server has ample memory, increasing this value from the default of 4356 bytes will often speed up the network.

Allowable buffer sizes range from 512 to 65536 bytes. Heuristic testing has shown that most standard Ethernet environments will show an improvement with a buffer size of 14596 (decimal).

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable automatic machine account password changes

Prevents the workstation from changing its computer account password automatically.

By default, Windows NT/2000 automatically changes the password on the local computer account at regular intervals. You can prevent automatic changes by enabling this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable caching of logon credentials

When enabled, Windows NT/2000 does not save any user account information in the logon cache. In this case, if the user's domain controller is not available and the user tries to log on a computer that does not have their account information, Windows displays the following message:

"The system cannot log you on now because the domain <Domain-name> is not available."

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Do not allow Desktop to load while logon script finishes

Determines whether the Windows shell waits for the logon script to complete or not.

When this option is disabled, the logon script is run during the startup of the shell and allows items in the Startup Group to load. If this option is enabled, the logon script completes before the shell or any items in the Startup Group loads.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Don't display last username in logon dialog

Determines whether Windows clears the username field of the logon dialog each time it is presented at bootup.

Tip: This option cannot be enabled if automatic logon is enabled.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Exclude profile dirs from roaming profile

Excludes additional folders from the user's roaming profile.

By default, the History, Local Settings, Temp, and Temporary Internet Files folders are excluded from the user's roaming profile. The folders specified with this option are excluded in addition to the default excluded folders.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

Windows NT and Windows 2000 only. Reboot required.


Ghost persistent connections

When you use Remote Access Services (RAS) you have the option to disable automatic restoration of network connections at logon (known as ghosted connections). This option allows you to ghost connections without having installed RAS.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Improve TCP IP performance using Van Jacobson retransmit & recovery algorithm

Consider IP packet behavior with this option disabled:

(Assume a receive window size that allows six full-sized Ethernet frames to be sent without waiting for acknowledgement. Also assume packet 3 has been lost.)

After a packet is dropped, the receiver immediately sends an acknowledgement that indicates the receive position in the byte stream each time it receives another packet that is past the hole. These additional ACKS for packet 2 are a hint to the sender that there has been a dropped packet. However, prior to Service Pack 2, this indication was not acted on. Instead, the sender continues sending, to the end of the send window, then pauses. Eventually, the retransmission timer for packet 3 expires, and it is re-sent. An ACK is returned for all of the data up through packet 8, and the sender starts out again. However, it engages congestion control and starts slowly. As a result, the data throughput is not ideal.

Consider IP packet behavior with this option enabled:

The new behavior exhibits the fast retransmit and recovery algorithm. On receiving three ACKS for the same sequence number, the sender will quickly retransmit the missing segment, without waiting for the retransmission timer to expire. It also will engage a lesser degree of congestion control.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Keep RAS connections alive

By default, when logging off, Windows NT/2000 closes all RAS connections opened during the session. With this option enabled, the system will not close RAS connections when logging off.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


NT4 | Windows 2000 Network


Restrict remote registry access

On a Windows NT/2000 system, by default, only members of the Administrators group can access the registry over the network.

When this option is enabled, by default, no user or service has remote access to the registry. If you wish to add remote registry rights on a user by user basis then open Regedt32.exe. Browse to the registry key:

HKLM\SYSTEM\CurrentControlSet\Control\SecurePipeServers\winreg

Highlight the winreg key. Select permissions from the Registry Editor. Add any necessary user or rights.

NOTE: Some services need access to the registry to function properly. For example, if you enable this feature on a Windows NT 4.0 system that is running Directory Replication, it is necessary to grant the Replicator account access to the registry.

You can either add the account name that the service is running under to the access list of the winreg key, or you can configure Windows to bypass the access restriction to certain keys by listing them in the Machine or Users value under the AllowedPaths key.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Supress new print share broadcasts over network

Suppress new print share broadcasts over network

When you share a printer in Windows NT/2000, the spooler creates a thread that broadcasts a message on all of the print server's installed protocols to all Windows NT/2000 print servers, informing the print servers of the new print share. Each of these print servers adds the new print share name to its local printer browse list. In addition, each print server re-broadcasts the list of its local printers to all print servers every 10 minutes. Although this design ensures that all Windows NT/2000 print servers have a current browse list, it can also cause extensive network traffic.

To disable aforementioned behavior enable this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Supress server print notification messages

Suppress server print notification messages

Determines whether Windows NT/2000 will allow print server notification messages to appear on client computers. These notification messages will appear on all clients logged in with the same username as the owner of the print job.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Autodisconnect idle connections (mins)

Determines the number of minutes before a shared network resource is allowed to be idle before it is disconnected. However, if this time expires while the connection has open files or searches, the connection is preserved until these operations finish.

The valid value range is 0 to 65535 minutes.

Setting Autodisconnect to 0 does not turn it off and results in very fast disconnects, within a few seconds of idle time.

NOTE: The number of minutes can be set at a command prompt using the Net Config Server command. However, it is preferable to modify the LAN Autodisconnect using Tweaki or a similar program. If you modify it at the command line, Windows NT may turn off its autotuning functions. For additional information, please see the following article in the Microsoft Knowledge Base:

ARTICLE-ID: Q128167

Windows NT and Windows 2000 only. Default is 15. Reboot required.


Behavior of this server in browser elections

When you start a computer running Windows NT/2000, the browser service examines this value to determine whether a computer will become a browser.

Value Meaning:

No: This value prevents the computer from participating as a browser.

Yes: This value makes the computer a browser. Upon startup, the computer attempts to contact the master browser to get a current browse list. If the master browser cannot be found, the computer will force a browser election. The computer will either be elected master browser or become a backup browser.

This value is the default on a computer running Windows 2000 Server and Windows NT Server.

Auto: This value makes the computer a potential browser. It might become a browser, depending on the number of currently active browsers. The master browser notifies this computer whether or not it is to become a backup browser.

This value is the default for computers running Windows 2000 Professional and Windows NT Workstation.

On any computer with the value of MaintainServerList set to Yes or Auto, the browser service starts when the computer is booted.

Windows NT and Windows 2000 only. Reboot required.


Enable TCP ports above 1023 for all LPR printers

TCP/IP printing (LPR) in Windows NT 4.0 Service Pack 2 (SP2) and earlier defaults to using TCP ports 512-1,023. In Windows NT 4.0 Service Pack 3, LPR defaults to using TCP ports 721-731, as described in RFC 1179 (Windows NT 3.51 Service Pack 4 and earlier versions).

Enabling this feature allows the use of TCP ports 1024 and greater.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Force FTP server into Unix mode

Some File Transfer Protocol (FTP) client software makes assumptions based on the formatting of directory list information. The Windows NT FTP server provides some flexibility for client software that requires directory formatting similar to UNIX systems.

To set the default format of directory listings for new FTP users enable this option.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Hide Server from the Browser

Determines whether Windows Server will be hidden to the browsers on the network.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Maximum number of simultaneously logged on users

Specifies the maximum number of users that can be simultaneously logged on to the server.

Windows NT and Windows 2000 only. Default is dependent on number of licenses purchased. Reboot required.


NT4 | Windows 2000 Server


Place Shut Down option on Logon prompt

Determines whether the Shut Down option appears on the Logon dialog.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Remove Shut Down option on Logon prompt

Determines whether the Shut Down option appears on the Logon dialog.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Set ProcessorAffinityMask to 0

Improve DPC handling. Platforms that distribute interrupts to all processors do not benefit from the Windows NT/2000 default DPC affinity. If you are administering a multiprocessor computer that distributes interrupts symmetrically, such as an Intel Pentium or Pentium Pro (P6) system for Windows NT/2000, enable this option. DPCs will be handled by the same processor that handled the interrupt from which the DPC evolved.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Set this computer as a Preferred Master Browser

Helps determine which servers become master browsers and backup browsers. Setting the value to True makes the computer a preferred master browser. Any computer running Windows 2000 or Windows NT can be configured as a preferred master browser.

When the browser service is started on the preferred master browser, the browser service forces an election. Preferred master browsers are given priority in elections, which means the preferred master browser always wins the election if no other condition prevents it. This gives an administrator the ability to configure a specific computer as the master browser.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Always append Dr. Watson log file

Determines whether Dr. Watson overwrites the existing log file with new data or appends new data to the end of the existing log file. By default, the log file is named Drwtsn32.log and resides in the root of the system directory.

Tip: For a detailed description of the Dr. Watson log file, start Drwtsn32.exe, click Help, and then double-click Log File Description.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Change directory for BSOD log file

Allows the modification of where the Blue Screen of Death (BSOD) file (user.dmp) gets stored. Also allows the removal of this file as well as indicates the file size.

Windows NT and Windows 2000 only. Reboot required.


Change directory for Dr. Watson log file

Allows the modification of where the Dr. Watson file (drwtsn32.log) gets stored. Also allows the removal or loading of this file as well as indicates the file size.

Windows NT and Windows 2000 only. Reboot required.


Disable Dr. Watson

Determines whether Dr. Watson logs application errors.

NOTE: The Dr. Watson program is installed by default in Windows NT/2000, and is configured to run when an application error occurs.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable Dr. Watson dump of all thread contexts

Determines which application threads are included in the log file created by Dr. Watson when an application error occurs.

When enabled: All threads. The log file includes state information for all threads that run in the process in which application error occurred.

When disabled: Error thread only. The log file includes state information only for the thread that caused the application error.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Disable Dr. Watson message

Determines whether Dr. Watson displays a message box when it detects an application error.

Tip: You might consider changing the default value of this entry on unattended computers or on the computers of task-based workers. However, it does not interfere with normal processing. While the message box is displayed, no new messages or windows can be displayed, but background processes are not affected. If the buttons on the message box are not clicked within five minutes, the message box is removed.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Do not create a crash dump file

Determines whether Dr. Watson creates a binary crash dump file when a program stops abnormally. The crash dump file can then be interpreted by the Windows Debugger.

NOTE: By default, the crash dump file is named user.dmp and resides in the root of the system directory.

Windows NT and Windows 2000 only. Default is unchecked. Reboot required.


Edit boot.ini

The Boot.ini file is used by Windows NT/2000 (specifically, Ntldr) to determine the operating system options to display during the startup (boot) process.

The following is a typical Boot.ini file:

[boot loader] timeout=30 default=scsi(0)disk(0)rdisk(0)partition(1)\winnt

[operating systems] scsi(0)disk(0)rdisk(0)partition(1)\winnt = "Windows NT" /NODEBUG C:\ = "Previous Operating System on C:\"

The following are line-by-line explanations of the above Boot.ini file:

[boot loader] timeout = 30

Timeout specifies the amount of time Windows NT waits before choosing the default operating system.

default=scsi(0)disk(0)rdisk(0)partition(1)\winnt

Default specifies the default operating system. Note: Whenever the operating system is Windows NT, the new storage path syntax is used. For more information on this syntax, query on the following words in the Microsoft Knowledge Base: NT and GEOMETRY

[operating systems] scsi(0)disk(0)rdisk(0)partition(1)\winnt = "Windows NT" /NODEBUG C:\ = "Previous Operating System on C:\"

scsi(0) means that the primary controller (usually the only one) is responsible for the device. If there were two SCSI cards and the disk was hanging off the second one, it would be called scsi(1).

disk(0) refers to physical disk 1.

rdisk(0) - The rdisk() parameter refers to which SCSI logical unit (LUN) to use, which could be a separate disk, but the vast majority of SCSI setups have only one LUN per SCSI ID.

partition(1) in this example is the only partition on the first drive in the computer. If there were two partitions, C and D, C would be partition(1) and D would be partition(2).

\winnt is the directory that multi-boot will look at to boot from one of the specified SCSI card's disk and partition.

/NODEBUG specifies that there's no debugging information being monitored. Debugging information is only useful for developers and does slow down Windows NT somewhat.

The /SOS switch can be added to display driver names while they are being loaded during the Windows NT boot. By default, the OS Loader screen only echoes progress dots.

The Previous Operating System on C:\ implies that it is MS-DOS, because "C:\" is an MS-DOS path.

Tip: You can hide additional installations of Windows NT from showing up in the boot menu, but still gain access when you need to.

To Hide menu items from the Boot.ini so they will not be accessible, perform the following steps:

Remove the read-only attribute from the Boot.ini file.

Use an editor to edit the Boot.ini file.

Place the following entry above the lines you want hidden:

[any text]

This will hide all entries below the [any text] heading.

To restore the entry and make it accessible again, remove the [any text] line.

Save the file and reapply the read-only attribute.

Restart your computer.

For example, the 3 bottom entries below will not be displayed or accessible the next time the system is restarted. Simply remove [any text] to gain access to this installation.

[boot loader]

timeout=30

default=multi(0)disk(0)rdisk(0)partition(1)\NT351SVR

[operating systems]

multi(0)disk(0)rdisk(0)partition(1)\NT351SVR="NT Server 3.51"

multi(0)disk(0)rdisk(0)partition(1)\NT351SVR="NT Server 3.51 [VGA mode]"

/basevideo /sos

[any text]

multi(0)disk(0)rdisk(0)partition(1)\WINNT35="NT Wks 3.51"

multi(0)disk(0)rdisk(0)partition(1)\WINNT35="NT Wks 3.51 [VGA mode]"

/basevideo /sos]

C:\="MS-DOS"

Windows NT and Windows 2000 only. Reboot required.


Enable R-CTRL + SCROLL LOCK key twice for forced crash

Enabling this option allows you to crash the system and generate a Memory.dmp file by holding down the right CTRL key and pressing the SCROLL LOCK key twice. Pressing left CTRL key does not generate a system crash. The "Stop" screen that is generated contains the following parameters:

*** STOP: 0x000000E2 (0x00000000,0x00000000,0x00000000,0x00000000)

The end-user manually generated the crashdump.

Windows 2000 only. Default is unchecked. Reboot required.


NT4 | Windows 2000 Debug


Show order in which drivers load during boot

The order in which drivers are loading during boot up are displayed here. The list can be saved for debug purposes.

Windows NT and Windows 2000 only.


Add Run in Separate Memory Space option to Run dialog

Adds the Run in Separate Memory Space check box to Run dialog box. This check box lets users run a 16-bit program in a dedicated (not shared) Virtual DOS Machine (VDM) process.

NOTE: The additional check box is enabled only when a user types the name of a 16-bit program in the Run dialog box.

NOTE: All DOS and 16-bit programs run on Windows 2000 in the Windows Virtual DOS Machine program. VDM simulates a 16-bit environment, complete with the DLLs required by 16-bit programs. By default, all 16-bit programs run as threads in a single, shared VDM process. As such, they share the memory space allocated to the VDM process and cannot run simultaneously.

Windows 2000 only. Default is unchecked. Reboot required.


Disable ability to change the My Documents folder path

Prevents users from moving the My Documents folder.

NOTE: By default, a user can move the My Documents folder by typing a new path in the Target box of the My Documents Properties dialog box. If this value is enabled, then when users type a new path in the Target box, a message appears explaining that a policy prevents the action.

Windows 2000 only. Default is unchecked. Reboot required.


Disable Hide keyboard navigation indicators until I use the ALT key option

Disables the Hide keyboard navigation indicators until I use the ALT key option in the Display applet of Control Panel.

When Hide keyboard navigation indicators until I use the ALT key option is selected, the underlining that indicates a keyboard shortcut character (hot key) does not appear on menus until you press ALT.

Windows 2000 only. Default is unchecked. Reboot required.


Disable Make Available Offline

Prevents users from making network files and folders available off-line when enabled.

Windows 2000 only. Default is unchecked. Reboot required.


Disable Personalized menus

Enables and disables personalized menus.

NOTE: Windows 2000 personalizes long menus by moving recently used items to the top of the menu and by hiding items that have not been used recently. Users can display the hidden items by clicking an arrow to extend the menu.

Windows 2000 only. Default is unchecked. Reboot required.


Disable Use transition effects for menus and tooltips option

Disables the Use transition effects for menus and tooltips option in Display in Control Panel. As a result, user cannot animate the movement of windows, menus, and lists.

Windows 2000 only. Default is unchecked. Reboot required.


Disable View | Toolbars | Customize in Internet Explorer

Determines whether the Customize option is available within Internet Explorer (View | Toolbars).

Windows 2000 only. Default is unchecked. Reboot required.


Enable Group Policy event logging

Sets verbose event logging for group policies to Event Viewer.

Windows 2000 only. Default is unchecked. Reboot required.


Enable TCP/IP forwarding

Determines whether the system routes IP packets to the networks to which it is connected.

Transmission Control Protocol/Internet Protocol (TCP/IP) forwarding is disabled by default in Windows 2000.

NOTE: In order for two hosts to exchange IP datagrams, they must both have a route to each other, or use default gateways that know of a route. Normally, routers exchange information with each other using a routing protocol such as RIP.

Windows 2000 only. Default is unchecked. Reboot required.


Enable UDMA/66 support

The UDMA66 mode is disabled by default on a Windows 2000 computer with a Intel chipset that supports UDMA66. This option allows you to enable this feature.

NOTE: Make sure the device supports UDMA66 mode and use a 80-pin IDE cable with the proper pin cut.

Windows 2000 only. Default is unchecked. Reboot required.


Log all user environment activity

Determines whether the user environment event logging features available in Windows 2000 are set.

NOTE: This option enables all forms of user environment event logging using Verbose mode without having to add a registry value for each component individually. Information from either of these modes is stored in the Windows 2000 event log so that an administrator can view events either locally or remotely using Event Viewer.

Windows 2000 only. Default is unchecked. Reboot required.


Log application management events

Sets verbose event logging for application deployment to Event Viewer.

Windows 2000 only. Default is unchecked. Reboot required.


Log remote boot activity

Logs (verbose) remote boot activity to Event Viewer.

Windows 2000 only. Default is unchecked. Reboot required.


Max size, in MB, for dll cache folder

Windows File Protection saves verified versions of files in its cache on the local hard drive for later use. It adds protected files to the cache until the cache content reaches the quota. If the quota is greater than 50 MB, WFP adds other important Windows 2000 files to the cache until the cache size reaches the quota.

The default value is set to 50 MB on Windows 2000 Professional and is unlimited on Windows 2000 Server.

Windows 2000 only. Reboot required.


NT4 | Windows 2000 Windows 2000 Specific


Remove Dfs tab from Windows Explorer

Removes the Dfs tab from Windows Explorer and from other programs that use the Windows Explorer browser, such as My Computer when enabled. As a result, users cannot use this tab to view or change the properties of the Distributed file system (Dfs) shares available from their computer.

NOTE: This entry does not prevent users from using other methods to configure Dfs.

Windows 2000 only. Default is unchecked. Reboot required.


Remove Hardware tab from applets within Control Panel

Enabling this option removes the Hardware tab from Mouse, Keyboard, and Sounds and Multimedia in Control Panel. It also removes the Hardware tab from the Properties dialog box for all local drives, including hard drives, floppy disk drives, and CD-ROM drives. As a result, users cannot use the Hardware tab to view or change the device list or device properties, or use the Troubleshoot button to resolve problems with the device.

Windows 2000 only. Default is unchecked. Reboot required.


Remove Help from Start Menu

When enabled, removes the Help command from the Start menu.

NOTE: This entry only affects the Start menu. It does not remove the Help menu from Windows Explorer and does not prevent users from running Windows 2000 Help.

Windows 2000 only. Default is unchecked. Reboot required.


Remove Manage item from the Windows Explorer context menu

When enabled, removes the Manage item from the Windows Explorer context menu. The context menu appears when you right-click Windows Explorer or My Computer.

NOTE: The Manage item opens Computer Management (Compmgmt.msc), a console tool which includes many of the primary Windows 2000 administrative tools, such as Event Viewer, Device Manager, and Disk Management. You must be an administrator to use many of the features of these tools.

Windows 2000 only. Default is unchecked. Reboot required.


Restore %HOME***% environment variables to NT 4 & earlier

Restores the definitions of the %HOMESHARE% and %HOMEPATH% environment variables to those used in Windows NT 4.0 and earlier when enabled.

NOTE: This value lets you use scripts designed for Windows NT on Windows 2000.

Windows 2000 only. Default is unchecked. Reboot required.


Windows File protection

In Windows 2000, the new Windows File Protection (WFP) feature prevents overwriting or replacement of certain system files. This option determines the behavior of Windows File Protection (WFP).

Enabled: WFP protects system files by running in the background and detecting attempts to replace protected system files.

Enabled | Popups disabled: WFP is active and no messages appear when WFP is invoked to restore files. This is default on Server, Advanced Server, and Datacenter Server.

Disabled: WFP is disabled --no file protection.

Windows 2000 only. Default is Enabled. Reboot required.


Disable File | Send To | Mail Receipient

Disable File | Send To | Mail Recipient

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Detect and Repair

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Insert | Hyperlink

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ALT + F11

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + K

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + F

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Addins

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Customize

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Database Security

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Encrypt-Decrypt Database

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Convert Macros to Visual Basic

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Create Menu from Macro

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Create Shortcut Menu from Macro

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Create Toolbar from Macro

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Run Macro

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Visual Basic Editor

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Online Collaboration

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Options

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Security

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Security | Set Database Password

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | User and Group Accounts

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | User and Group Permissions

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | User-Level Security Wizard

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Address

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Favorites

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Go

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Refresh Current Page

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Search the Web

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Start Page

Microsoft Access 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Microsoft Office Access

Microsoft Access 97 is not supported.


Alternate startup folder

Sets the location of the alternate startup folder. Microsoft Excel automatically loads files from this directory after loading files from the Xlstart folder.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


AutoCalculate fn

By default, AutoCalculate displays the sum of the values in a selected range. Use this option to force the AutoCalculate function to:

Average: Averages the values of a selected range.

Count: Counts the number of filled cells in the selected range.

Count Nums: Counts the cells that contain numbers within the selected range.

Max: Displays the maximum value in a selected range.

Min: Displays the minimum value in a selected range.

Sum: Displays the sum of the values in a selected range.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is Sum.


Change Excel's default font

Determines the default font used within Excel's workbooks.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable 3D dialog boxes

Determines whether Microsoft Excel uses 3-D dialog boxes.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Save as Web Page

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Send To | Mail Receipient

Disable File | Send To | Mail Recipient

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Web Page Preview

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Detect and Repair

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Insert | Hyperlink

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ATL + F8

Disable shortcut keys ALT + F8

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ALT + F11

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ATL + SHIFT + F11

Disable shortcut keys ALT + SHIFT + F11

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + F

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + K

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Addins

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Customize

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Macros

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Microsoft Script Editor

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Record New Macro

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Security

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Visual Basic Editor

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Online Collaboration

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Options

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Protect

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Protect | Protect and Share Workbook

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Protect | Protect Sheet

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Protect | Protect Workbook

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Address

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Favorites

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Go

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Refresh Current Page

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Search the Web

Microsoft Excel 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable Excel DDE results in black & white

Determines how Microsoft Excel DDE results display in Word.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Excel's document storage location

Determines the default storage location and search path for documents that you create or use in Microsoft Excel. If a value is entered here, it will override the default value.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is blank or My Documents path.


Generate unqiue random number when RAND is used

Generate unique random number when RAND is used

Determines whether Microsoft Excel will generate a unique random number each time you use the RAND function.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Max num of default worksheets

Determines the maximum number of worksheets Excel will load with each time Excel is started.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is 3.


Max number of undo levels

Determines the maximum number of undo levels Excel will store in memory.

Tip: The higher this value is the more memory that will be consumed.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is 16.


Microsoft Office Excel


Remember clipboard format from last successful DDE operation

When this value is enabled, Microsoft Excel remembers the last clipboard format used for a successful DDE operation. Setting this option helps reduce the time required for future DDE operations.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Remember font substitution when zooming

When you adjust the zoom ratio of the worksheet to less than 80% (depending on the type and size of font that you are using) or resize the font to less than 8 points, Microsoft Excel switches to using Small Fonts, Smalle.fon, or Smallf.fon, depending on the video driver in use in Microsoft Windows. Currently the Euro font is not supported for font sizes smaller than 8 points. However, enabling this option will cause Microsoft Excel not to switch to using Small Fonts when zooming the worksheet.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Sorting algorithm is case sensitive

Determines the default Case Sensitive setting for the sorting algorithm that Microsoft Excel uses.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Username attached to workbooks

Determines the user name that Microsoft Excel attaches to Workbooks.

Microsoft Excel 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Company

Sets the company name that appears in the Office About and splash screens.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value.


Disable Assistant from guessing help topics

Disabling this option enables context-sensitive help. Enable this option if you do not want help topics to appear unless you specifically ask for help.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Clipboard Toolbar triggers

If you copy something to the clipboard twice in any part of Microsoft Office 2000, the Clipboard toolbar appears. Enabling this option will stop the new clipboard from appearing.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable delay of full menu show

Specifies whether to auto expand adaptive menus.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Office on the Web

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable help with Office wizards

Determines whether the Office Assistant helps with Office wizards.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Office Alerts

Determines whether the Office Assistant should open for Office Alerts.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Office Assistant sounds

Determines whether the Office Assistant makes sounds.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable response to F1 key

Determines whether the Office Assistant will assist with Help.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable the Office Assistant

Determines whether the animated Office Assistant is used within the Microsoft Office suite.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable menu animations

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable menus show recently used commands first

Microsoft Office 2000 introduced personalized menus --menus that remember which items you use regularly and hides items you don't. Check this option to disable this behavior.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable show of font names in their own font

Determines whether the font selection list of the Office applications show the fonts in their own font.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable tips about using features more effectively

Determines if tips about using features more effectively should be shown.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable tips for using the mouse more effectively

Determines if tips about using the mouse more effectively should be shown.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Documents path

Sets the path the Office applications will use to save and locate Office documents.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is the My Documents path.


Enable feedback with sounds

Determines state of Office sounds.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable only high priority tips

Determines if only high priority tips should be shown.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable search for product help while in programming mode

Determines if Office Assistant can search for product Help while in programming mode.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable tips for keyboard shortcuts

Determines if tips about keyboard shortcuts should be shown.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Microsoft Office Office


Modify File | Open - Places Bar

Allows you to customize the Places Bar found on the common dialog control used by the Office applications.

When remotely connected a drop down list of the computer(s) Tweaki is connected to becomes available.

When you select this option a dialog similar to the one above appears (after selecting the Add button).

By default the Places Bar has room for only 5 locations. This is because the Places Bar, by default, shows its "places" icons in a large icon format. In order to add your own custom locations you will need to enable the option Show small item icons. Doing so allows you to create up to 5 additional locations onto the Places Bar.

Customizing the Places Bar: Once you enable Show small item icons you are ready to add your own "places" to the Places Bar. Select Add to get started. In the Name field enter the text you want displayed for the new "place". Next, enter the path to the folder you wish to add. You may type it in directly or use the Browse button to locate it. When both fields have been entered select the Apply button to create the new "places" item. When you are done creating items select Done.

You will now have a customized Places Bar allowing easy access to up to 5 different "places" of your choosing.

Show small item icons: Displays the items on the Places Bar using the small icon format.

Sort new items ascending: When enabled, it places the user-defined item in ascending order within the list of user-defined items.

Deleting an item from the Places Bar: In order to remove an item from the Places Bar simply remove the check next to it within the list. When you have removed all the checks for those items you wish to delete, select Apply.

Tip: You can remove the default items from the Places Bar thus allowing you to create 10 different items.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value.


Shared templates path

The templates saved to this location are basically the same as the templates that are saved in your User Templates Location, with the exception that the location is usually a shared folder on a network drive. By default, the Shared Templates Location is not set to a specific folder and is blank.

NOTE: Your network administrator may set a shared location as a source from which to provide common templates used throughout your workgroup or company.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Shared themes path

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is blank.


Show Tip of the Day

Shows the Office Assistant tip of the day at startup.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Use system font instead of Tahoma

Determines UI font. Enable this option to have the system use the UI font instead of Tahoma for UI text.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


User templates path

Determines where newly created or modified templates are saved.

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Username

Sets the username that appears in the Office About and splash screens.

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value.


Web queries path

Microsoft Office 2000/2002 only. MS Office should be closed before modifying this value. Default is blank.


Allowed Attachments

This feature allows users of Outlook XP to overcome the default security setting that prevents the viewing or saving of file attachments with certain file extensions. For example, if a friend sent you an email with a file attachment that contained a file named movie.exe, Outlook XP would not allow you to view or save this file attachment. To defeat this strict, default security measure of Outlook you would simply type exe into the provided field and click Add. This would then allow you to receive and work with any file attachment that had exe as its extension. Likewise, you can add any number of additional entries to allow you to work with other file attachments.

To see a complete list of file extensions that Outlook XP deems unsafe, please visit the following Microsoft KB document located here:

http://support.microsoft.com/support/kb/articles/Q290/4/97.ASP?LN=EN-US&SD=gn&FR=0&qry=attachments&rnk=16&src=DHCS_MSPSS_gn_SRCH&SPR=OFFXP

The above line should be entered as a single line in your web browser.

Microsoft Outlook 2002 only. MS Office should be closed before modifying this value. Default is no values present. This feature is not a part of the Undo functionality. To undo an action simply select the extension added and delete it.


Disable Actions | Display Map of Address

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | New | Outlook Bar shortcut to web page

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Open in default browser

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Go | Internet Call

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Detect and Repair

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + ENTER

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Customize

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Services

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable View | Bcc Field

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable View | From Field

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Address

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Favorites

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Go

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Refresh Current Page

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Search the Web

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Start Page

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable detailed Internet email logging

When enabled Outlook will create detailed logs of the links to your mail servers. Log files will reside in \\Windows\Temp\Outlook for non-profile enabled systems. Otherwise, log files will be located within \\ProfileName\Local Settings\Temp\Outlook Logging\Name of email account for Windows 2000 and \\Winnt\Temp in Windows NT 4.0.

Log files are entitled INETXP.TXT, POP3LOG.TXT and SMTPLOG.TXT.

Microsoft Outlook 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Microsoft Office Outlook

Microsoft Outlook is not supported in Office 97.


Disable File | Save as Web Page

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Send To | Mail Receipient

Disable File | Send To | Mail Recipient

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Web Page Preview

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Detect and Repair

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Insert | Hyperlink

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Addins

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Customize

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Macros

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Microsoft Script Editor

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Record New Macro

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Security

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Visual Basic Editor

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Online Collaboration

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Options

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable track of total editing time

When enabled PowerPoint will track total editing time for documents and display this information within the 'Properties' dialog. Unchecking this option disables the Edit Time Tracker.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Address

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Favorites

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Go

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Refresh Current Page

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Search the Web

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Start Page

Microsoft PowerPoint 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Document storage

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Maximize document window

Determines whether PowerPoint will always load documents in a maximized state by default.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Microsoft Office PowerPoint


Multimedia folder

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


No styled title bar

Changes the format of text in the PowerPoint title bar.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Picture folder

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Produce 8-bit metafiles

Turning off this option allows metafiles to display better on 24-bit systems.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Recolor imported graph

When checked PowerPoint will recolor imported graphs, which can slow down the display but makes imported graphs look better.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Save info used for full text search

When checked PowerPoint will save information used for full text searches.

Microsoft PowerPoint 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Template folder

Microsoft Office 97 and 2000/2002 only. MS Office should be closed before modifying this value.


Disable File | Save as Web Page

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Send To | Mail Receipient

Disable File | Send To | Mail Recipient

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Web Page Preview

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Detect and Repair

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Help | Microsoft on the Web

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Insert | Hyperlink

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable MRU list in font drop-down

Determines whether to hide the most recently used fonts on the Formatting toolbar Font list.

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ATL + F8

Disable shortcut keys ALT + F8

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ALT + F11

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys ATL + SHIFT + F11

Disable shortcut keys ALT + SHIFT + F11

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + F

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable shortcut keys CTRL + K

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Customize

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Macros

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Microsoft Script Editor

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Record New Macro

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Security

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Macro | Visual Basic Editor

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Online Collaboration

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Options

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Protect Document

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Tools | Templates and Addins

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable UNC paths

There are many situations in which a network administrator may prefer to have Word use a mapped drive letter rather than the UNC file location. For example, Word returns a UNC file location similar to the following:

\\ServerName\ShareName\FileName

However, when you enable this option, Word returns a drive mapping similar to the following:

E:\ShareName\FileName

By design, when you save a document or change a setting to a location specified with a drive letter, Microsoft Word converts the setting from a location containing a logical drive letter to a UNC location. When you enable this option, the following new created/attached paths contain the logical drive letter instead of using the UNC path:

- The File Locations tab in the Options dialog box. (On the Tools menu, click Options, and then click the File Locations tab.)

- The FileName field when the \p switch is used.

- The IncludePicture field.

- The Link field.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Address

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Go

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Refresh Current Page

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable Web | Search the Web

Microsoft Word 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable draft font for screen document display

This value controls how Word displays documents. Using a draft font displays most character formatting as underlined and bold and displays graphics as empty boxes. To speed up screen display in documents with extensive formatting, enable this option.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable GDI shading during print

Adding this line forces Word to use the Windows graphics device interface (GDI) to add shading instead of calling a printer escape code. When you select “Print TrueType As Graphics” in the printer driver dialog box, TrueType fonts print white-on-black shading. However, this method affects the way the shading looks and may slow down printing for documents that contain a lot of shading.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Enable smooth scrolling with vertical scroll bar

Allows you to actively scroll through your document when you drag the vertical scroll bar.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Force Unicode characters to print as ANSI

If you print a document containing extended characters, such as Greek symbols, to certain printers using printer drivers that do not accept Unicode characters, the extended characters may be printed as square boxes even though they are displayed correctly on the screen.

The problem affects the following printers and printer drivers:

- Canon BubbleJet BJ-C600, 4000, 4200, 4500, 4550, v 3.40

- Canon Multipass 2500 3.40

- Epson Color 500

- Epson Stylus Color, v 2.x

- Epson Stylus Pro / XL v. 2.11BE

- HP Color LaserJet 5 PCL, printer driver version F 1.300

- HP DeskJet 1600C, printer driver version 4.20

- HP LaserJet 4 PCL, printer driver version 3.78

- HP LaserJet 6P, standard printer driver

- Okidata 4 laser printer

Enabling this option causes the printer driver to use American National Standards Institute (ANSI) character layout functions instead of Unicode character layout functions.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is unchecked.


Max cache for bitmaps

Sets the size of the Word file cache (in KB). You may be able to improve the speed of file I/O and other operations in Word by increasing the cache size. The minimum and default cache size is 64 KB.

NOTE: This option depends on the total amount of RAM installed on your system. It is possible to increase this option too much, which may result in degraded system performance in Word.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is 1024K.


Max cache for Word docs

Set the maximum size of the Word bitmap cache (in KB). If you use many graphics in your documents, a larger bitmap cache may improve scrolling and screen redraw speed. When this option is set to 1, Word automatically adjusts the bitmap cache size.

NOTE: This option depends on the total amount of RAM installed on your system. It is possible to increase this option too much, which may result in degraded system performance in Word.

Microsoft Word 97 & 2000/2002 only. MS Office should be closed before modifying this value. Default is 64K.


Microsoft Office Word


Restore Defaults

Restores Microsoft Office settings to their default values --not necessarily to the value previously unless the previous value was the default value.


Current Profile

The Current Profile is the means by which you access profiles that have been saved or to create new ones.

To create a new profile simply type a name for the profile in the space provided. Once you have created a name for the profile you are ready to select items from the "Save operating system settings" list. When satisfied with your selections press or click the Save button. Once items have been saved to the new profile it will then appear within the drop down list for profiles.

To view a profile that has already been saved select it from the drop down list or type its name into the space provided.


Custom Configuration

Select this option (located on the Registry tab beneath Save operating system settings) when you want to save a specific registry key(s).

In order to save a custom registry location either create a new profile or select one from the list of profiles already created. Then select the Custom Configuration option. Next, select Save. The following dialog appears:

Enter the full path of the registry key you would like to save in the Registry path field. When you are satisfied the path is correct enter the name that will be used to refer to this custom registry save. This field represents the text that appears in the Settings Saved column. Next, enter a brief description of the save. This will help you to remember what that save contains. This field represents the text that appears in the Description field. When you are satisfied with the information entered, select the Save button. If you have no other custom registry locations you wish to create then select Done.

Your custom registry save(s) now appear within the Save operating system settings list and the Restore operating system settings list (since the key(s) were saved at the time you created the custom save). Your custom registry save(s) are now accessible whenever you choose the profile where they were created.

Should you ever wish to delete a custom registry location that was created, select the profile that contains the custom location. Then select the item from the Save operating system settings list. A button will become available that allows the removal of the customized location.


Delete custom item

Should you ever wish to delete a custom registry location that was created, select the profile that contains the custom location. Then select the item from the Save operating system settings list. A button will become available that allows the removal of the customized location.


File associations

Saving file associations is advantageous when you consider how many applications change file extension mappings to associations that may not be to your liking. For example, lets say whenever you double click a file with a JPG extension your favorite graphics program loads and displays the file double clicked upon. Further, lets say you install the latest version of Internet Explorer. Now, whenever you double click upon a file with a JPG extension Internet Explorer loads and displays the file. There are many other scenarios where your file extension mappings can become less than your ideal.

Using Tweaki you can now save those file extensions that you care most about.

When you create a Profile, select the option for saving file associations from the Save operating system settings list and then select the Save button. A dialog like the one shown here will appear listing all the file types that have associations Tweaki could find on your system. Select those file types that you really care about. Its a good idea and we STRONGLY recommend that you choose only those file types you care about. Why? If you save all file types and then later restore those associations you will invariably restore file associations that you no longer need, may no longer be valid, or overwrite associations that you now wish to keep. We recommend being selective in what you decide to save and only save those types that you really need and use.

Once you are satisfied with the selections you have made select the Apply button. Tweaki immediately begins processing your selections. When complete, select the Done button. An entry for the file associations just saved appear in the Restore operating system settings list.

If you wish to have Tweaki remember your selections each time you save file associations just select the Save selections as a permanent template option.


Getting Started

The Registry tab allows you to save specific operating system settings. Settings such as color schemes, Desktop configuration, Internet shortcuts, dial-up Internet connection configuration and even custom areas of the registry. In fact, all of the areas that the Registry tab allows you to save are, for the most part, keys within the Registry. Once an item has been saved its a trivial matter to restore that item back to the state it was in at the time you saved it. For example, you saved all your Netscape Bookmarks using Tweaki. Later you reinstalled your operating system and Netscape. Once Tweaki is reinstalled its only a matter of browsing to your saved profile, selecting to restore your saved Netscape Bookmarks and voila --all your Netscape Bookmarks are back!

Follow these steps to save items from the Save operating system settings found on the Registry tab:

Before making any selections, first name the profile in which to save the settings.

Now select any operating system settings you would like to save to this profile. Select the Custom Configuration item if you wish to save a specific registry key that isn't within the Save operating system settings list.

Once you are satisfied with the items you wish to save select the Save button to begin saving the items to the profile you created. As the items are being saved you will see them appear within the Restore operating system settings list. When you wish to restore an item you previously saved, you will select it from this list.

Where do profiles get saved?

By default Tweaki will save all of your profiles to a sub directory off the Tweaki installation folder. You can easily change this location by selecting the Save profiles here Browse button on the Registry tab.

Locating a previously saved profile

Tweaki allows you to save profiles at any location you desire. If you save a profile to removable media or to a different location on your hard drive than where the current profile is, you may need to locate the profile again for Tweaki. To do so, select the Browse button on the Registry tab and browse to the "Registry" folder at location where you saved the profile in question. Tweaki saves the profile configuration information in a file called profiles.twk within the Registry folder. Once you identify the folder Tweaki will pull up all the information you have saved within that particular profile.

The functionality of the Registry tab is supported only on the local computer. Remote computers are not supported at this time.


Profiles

Prof iles are your means by which you organize your saved settings. Profiles contain a "snapshot" of the setting(s) you saved previously. This allows you to return to a particular configuration by selecting the saved profile and restoring its contents. When you restore a saved profile the current configuration is replaced with the saved one.

You create a profile by first giving it a name in the field provided. Afterwards, you select items from the list in which to save to the profile. You can create as many profiles as you have space available to save them too. After naming the profile and making your selections click the Save button to generate the profile.

See also "Current Profile".


Registry


Restore operating system settings

See "Save operating system settings" for a list of items saved with each selection.

Items that have been saved to a profile appear here, ready to be restored when needed. To restore a saved item place a check in the box to the left of the item you wish to restore. When a item has been checked the Restore button will become enabled. Once all the items you wish to restore have been checked press or click the Restore button.

If you wish to remove a saved profile then select the Erase button. This will delete all the items in the Restore operating system settings list as well as the current profile. Once it has been deleted it cannot be restored.


Save operating system settings

Color configuration - corresponds to the Display applet | Appearance tab

  • Saves custom color information created by the user

  • Saves color scheme information

  • Saves all of the active colors used for windows, i.e. window background, caption bar color

Cursor configuration - corresponds to the Mouse applet | Pointers tab

  • Identifies any non-standard Windows cursors being used and saves them

  • Saves cursor schemes

Custom configuration - save specific registry keys

  • Allows you to save specific keys within the registry (Click here for more information)

Desktop configuration - corresponds to the Display applet | Background, Screen Saver, Appearance & Effects tabs

  • Saves Desktop wallpaper/pattern information

  • Saves Desktop properties such as screen saver configuration, window border width, button text font, menu text font, tool tip color, icon spacing, icon width, window fonts & sizes, etc.

  • Also saves Accessibility information as found in the Accessibility applet of Control Panel

Dial-Up Adapter (Win9x/Me) | Dial-Up Networking (NT4) | Dial-up connections (Win2k)

  • Under Windows 9x/Me this setting corresponds to the Dial-Up Adapter applet found in Control Panel. Tweaki will save any entries located within the applet.

  • Under Windows NT 4 this setting corresponds to the Dial-Up Networking applet found within My Computer.

  • Under Windows 2000 this setting corresponds to dial-up entries contained within the Network and Dial-up Connections applet.

  • Saves Telephony information

File associations

  • Allows the saving of your current file associations. (Click here for more information)

Internet Explorer Favorites

  • Save all of your Internet Explorer Favorites for easy retrieval

Keyboard configuration - corresponds to the Keyboard applet | Speed & Input Locales tabs

  • Saves custom Keyboard settings, i.e. repeat delay & rate, cursor blink rate, input locales, etc.

  • Also saves Accessibility information as found in the Accessibility applet of Control Panel

Local Shares

  • Saves all the current resources being shared

Mapped Drives

  • Saves current drive mapping information for the logged on user

Mouse configuration - corresponds to the Mouse applet | Activities, Pointer Options, Buttons & Wheel tabs

  • Saves all custom mouse configuration settings

MRU Lists

  • Saves the most recently used lists (MRU) for the following items:

  1. Recent documents (Start | Documents)

  2. Run (Start | Run)

  3. Printer ports (Printer property sheet | Port assignment)

  4. Find computer (Start | Find or Search | Computer)

  5. Find document (Start | Find or Search | Files)

  6. Find text (Start | Search | Containing text) Windows Me & Windows 2000 only

  7. Map Network Drive (Map Network Drive dialog | Folder or Path)

  8. Install locations (Windows based installation dialogs | Path)

  9. Internet Explorer typed URLs (Address bar of Internet Explorer)

  10. Taskbar Address Toolbar (Address bar located on Taskbar if enabled)

Netscape Navigator Bookmarks

  • Saves Netscape Navigator Bookmarks

Power configuration - corresponds to the Power applet | Power Schemes, Advanced tabs (unsupported in NT4)

  • Saves current and custom power schemes

*Unless otherwise noted, all configuration settings saved are for the currently logged on user


About | Register

Select this option for obtaining the correct version number of Tweaki or to register the product.


Bold modified options

Indicates whether any non-default options are bolded. Enabling this option makes it easy to find options that have been modified from their original state.


Check for Upgrade

Select this option to have Tweaki contact the JerMar Software web site for the availability of an upgrade. If an upgrade exists a window will appear containing information about the upgrade. Additionally, you will be given the option of continuing or declining the upgrade.


Colorize non-default options

Indicates whether any options within Tweaki found not to be at default are colorized. Enabling this option makes it easy to find options that have been modified from their original state.


Don't remember last tab used

Indicates whether, on the next load, Tweaki will restore itself to the last tab being viewed.


Don't save window position when closing

Indicates whether, on the next load, Tweaki will restore its main window to the last position it was in.


Never show confirmations before actions

Indicates whether Tweaki will prompt you for confirmation before performing an action.


Never show reboot request

Indicates whether Tweaki will ask you whether you wish to reboot the system after an action has taken place that requires a reboot.


Options


Password Protection

Password protection is a good idea to help enforce any security settings you may have made using Tweaki. It prevents any unauthorized use of Tweaki.

To enable password protection select the option entitled, "Password protect Tweaki". Next, enter the password Tweaki should prompt you with each time Tweaki loads. You will need to enter the password twice in order to insure you have entered the password correctly. When complete select Apply to make the change.

Disabling password protection from the command line:

You can start a copy of Tweaki that has been password protected from the command line. You do so by passing the password as a command line parameter, like so:

"C:\Program Files\JerMar Software\Tweaki...for Power Users\tweaki.exe" /p password

The quotes are not optional if the path to Tweaki uses spaces or long file names.


Remote Connections

The remote connections dialog provides a way to connect and disconnect from computers. To connect to a computer select the Connect button. This will present you with a network browse dialog for making a remote connection to another computer. Locate the computer you wish to connect with and select OK. Any computers you are connected to will appear in the list.

To disconnect from a computer highlight it in the list and then select Disconnect. Multiple selections can be made. If you wish to disconnect from all computers at once simply select Disconnect All.

View Remote allows for switching the current Tweaki view to a remote view. To do so, highlight a computer from the list and select View Remote. Tweaki switches its view to the remote computer. You can easily switch between different computer views by right clicking on a empty spot within Tweaki's interface.

When remotely connected, always apply changes to the remote computer... checkbox provides a way to indicate whether selections made using Tweaki are applied to the remote computer currently being viewed or to all of the remote computer(s) connected to Tweaki when Apply is selected. For more information see, "Applying changes to local computer versus remote computer(s)".

See also: Preparing to make remote connections


Return all values to default

Selecting this option causes Tweaki to set all its features to their default value.

Note: Microsoft Office values are not included in this restore.


Save undo info to server

By default Tweaki saves all of its undo information in sub folders beneath the installation folder. This is denoted by the field indicating "Local". In non-network environments there is no need to change this value.

In cases where Tweaki is being used in a network environment it may be more practical to place the undo information onto a central computer or server. For example, a computer that is always available on the network. When Tweaki is so configured, when it connects to another computer it will check the central server for undo information for the connecting computer. This allows Tweaki to always have a computer's undo information available.

To setup Tweaki to save undo information to a remote server select the button provided. This results in a network browse dialog. Simply browse to the computer you wish to save the information to and select it. Select OK. Tweaki will maintain the directory structure, you need only identify the computer in which to store the undo information.


Applying changes to local computer versus remote computer(s)

If you are remotely connected and wish to apply any changes to the local computer only --simply insure that the current Tweaki view is set to Local. If the current view is a Local view, no changes are applied to any remote connections. Conversely, to apply changes to a remote computer you must be set to a non-local view. Depending on Tweaki's configuration and whether more than one computer is connected remotely, you may not need to have the remote view set to the computer(s) you wish to apply the changes to. For more information see, Viewing a remote computer's configuration.


Installing the Remote Registry Service

To determine whether the Remote Registry Service should be installed see " Preparing to make remote connections ".

The installation files for the Remote Registry Service can be found in the following locations:

Windows 95 CD: \\NetTools\Remotreg

Windows 98 CD: \\reskit\netadmin\remotreg

Windows Me CD:

To install the Remote Registry Service open the 'Network' applet from within Control Panel. On the 'Configuration' tab select the Add button. From the resulting window select 'Service' from the list of components to install. Next, select Add. From the resulting window select 'Have Disk'. Browse to the proper folder (outlined above) on your Windows CD. Select OK when the regsrv.inf file is selected. Follow any on-screen instructions. At the completion of installation you will be prompted to reboot the system, do so.

For Remote Registry Service to work properly each computer within the network or home based LAN should be running the same level of security; either share-level or user-level security. There can not be a mix of each. We strongly recommend user-level security be used.

WARNING: If your computer is configured to use share-level security and the Remote Administration service is installed, a user is required to know only a password to remotely administer your computer. To help prevent unauthorized users from remotely administering computers, consider using user-level security, which allows access to only specified users.

NOTE: In order to use user-level security, there must be a Microsoft Windows NT-based computer or Novell NetWare server on the network to act as a security provider. If you are using a Windows NT-based computer as your security provider, you must enable File and Printer Sharing for Microsoft Networks. If you are using a Novell NetWare server as your security provider, you must enable File and Printer Sharing for NetWare Networks.

To enable user-level securi ty follow these steps: Open the 'Network' applet within Control Panel. Select the 'Access Control' tab. Select the option entitled, "User-level access control". Next, enter the name of the server from which Windows will obtain its user list. When complete select OK. You will be prompted to reboot the system. Note: Any shares that were enabled will be disabled. Once rebooted you should set the volume Windows is installed onto as a share.

After rebooting, open the 'Passwords' applet from within Control Panel and select the 'Remote Administration' tab. Check the option entitled, "Enable remote administration of this server". Next, add any users you wish to give access to the system remotely. When done close the dialog.


Preparing to make remote connections

Windows NT and Windows 2000 inherently have the support needed for Tweaki to connect to remote computers. No services need be installed to support remote connections on Windows NT or Windows 2000 computers. Windows 9x and Windows Millennium computers must have the Remote Registry Service installed before making a remote connection.

Remote Registry Service

Do I need to install Remote Registry Service?

Remote Registry Service is required for remote connections if either of the following is true:

1) Tweaki is installed onto a Windows 9x computer that will be connecting to another Windows computer.

2) Tweaki is installed onto a NT4 or Windows 2000 computer that will be connecting to a Windows 9x or Windows Millennium computer.

See " Installing the Remote Registry Service " if you answered yes to either condition.

Before connecting to any computers on your network make certain that you have the proper privileges to make the connection. In short, you should have administrator rights on any client computers you are connecting to.


Rebooting remote systems

Some of the options you set with Tweaki require that the system be rebooted in order for the changes to take effect. When this is the case Tweaki will alert that the system should be rebooted and ask whether you wish for Tweaki to reboot the system now or allow you to do it at a later time.

If the need to reboot the system is a local one or if the system that requires rebooting is a remote Windows 2000 or Windows Me system, Tweaki supports rebooting of these configurations with no further action by you. In these cases you may skip the rest of this article.

The following configurations require that Windows Management Interface (WMI) and DCOM be installed before Tweaki can reboot these remote systems:

Windows NT 4.0 SP4 & higher, Windows 98 SE, Windows 98, Windows 95 OSR2.

Windows 95 OSR2 also requires Internet Explorer 4.0 be installed.

Pre Windows 95 OSR2 and Windows NT 4.0 SP4 systems are not supported for remote rebooting.

The Windows Management Interface (WMI) core files for Windows Me and Windows 9x can be obtained from Microsoft at the following location:

http://www.microsoft.com/downloads/release.asp?ReleaseID=18492

The Windows Management Interface (WMI) core files for Windows NT 4.0 can be obtained from Microsoft at the following location:

http://www.microsoft.com/downloads/release.asp?ReleaseID=18491

DCOM can be obtained from Microsoft at the following location (DCOM does not need to be installed if Internet Explorer 4.x is already installed onto the system):

DCOM for Windows 95: http://www.microsoft.com/Com/DCOM/Dcom95/download.asp

DCOM for Windows 98: http://www.microsoft.com/Com/DCOM/Dcom98/download.asp


Remote connection status bar

The Remote Connections field indicates how many remote computers Tweaki is currently connected with.

The Viewing field indicates the computer whose values Tweaki is currently working with.

You can use the status bar itself to make a remote connection to another computer or to view the settings of a remotely connected computer. Right click upon the status bar, or any open area of Tweaki, for a context sensitive menu enabling connections to or viewing of remote and local computers.

See also: Preparing to make remote connections


Remote connections drop down list

Throughout Tweaki's various features, when remotely connected, you will encounter a drop down list for those computers for which you have made a connection to. This drop down list provides the means by which you switch your current view to the computer selected from this list.


Viewing a remote computer's settings

Once a connection has been made to a remote computer you can then view that computer's settings and make any changes. The quickest way to do so is to right click upon any free area of Tweaki's interface. From the context sensitive menu select "View Remote settings". This switches the current view to the remote computer selected. You can now view and adjust settings for the remote computer exactly as though you were making the changes to the local computer.

If you are connected to multiple remote computers you can apply any changes you wish to make to all of the remote computers at once. To do so, select the Options tab of Tweaki. Within the "Remote Connections" section uncheck the option, "When remotely connected, always apply any changes to the remote computer currently being viewed".

For more information on making remote connections and viewing/changing remote settings see:

Remote Connections

Remote connection status bar


Why setup the remote Windows volume as a share?

Actually, the remote computer's Windows volume and the volume containing the installation of Tweaki -if Tweaki has been installed to the remote computer-- should be shared. Typically, these two volumes would be the same. If Tweaki has never been installed on the remote computer then only the remote computer's Windows volume need be set as a share.

Why you ask? If you will not be using Tweaki to connect to remote computers then there is no need to worry about setting up shares. However, if you do plan to use Tweaki in a networking environment then as a minimum the remote Windows volume should be set as a share. Here are the reasons&ldots;

  • If Tweaki is configured to save undo info locally -which is the default configuration, when it connects to a remote computer it needs to determine whether or not undo information exists for this remote computer on it's local hard drive

  • App Launch Manager uses it to migrate old Startup settings to the new format

  • A pp Launch Manager uses it to edit the win.ini under the following circumstances

  1.  To display any programs that may be launched using the win.ini file
  2.  To edit the win.ini file should any startup programs need to be disabled/restored
  • App Launch Manager needs access to the Startup folder
  • Verify the existence of and validate certain properties of Microsoft Office
  • Make changes to and verify common paths used by Microsoft Office
  • Validate existence of shell folder paths returned from the remote system's registry
  • Determine Internet Explorer's version (numerous functions depend on proper IE version info)
  • Validate Netscape Navigator's configuration
  • Effecting changes to boot up behavior for Windows 9x/Me & Windows NT 4/ Windows 2000 require write access to the Windows volume
  • In order to take advantage of storing undo data on a server where it can be accessed by Tweaki from any client, a share must exist on the server containing the undo data
  • Creating a file with the driver load order when requested
  • Under Windows 9x/Me, when saving Dial-Up Adapter configuration, access to the system.ini file is required
  • Determine the file system being used under Windows NT 4 and Windows 2000
  • Disable the Windows Help file
  • Show Dr. Watson log file information
  • Support the ability to create templates of user selections
  • Rebuild icon cache
  • Validate option for restoring alphabetical listing to the Start Menu
Should you elect not to enable a share for the remote Windows volume then the items listed here as dependencies will not be available.


Using undo

Tweaki provides for the ability to roll back most of the changes you can make. Whenever you apply changes made with Tweaki a history of that change gets recorded to the undo feature. Should you want to undo a change you made with Tweaki select the Undo button.

This loads a window where all changes you made using Tweaki -that support the undo function- are listed.

As shown here, any remote computers you are connected to also have their undo information listed. All undo items listed are denoted with the name of the computer that the undo is valid for.

Undo items in the upper list are those items which were the most recently made. This list gets cleared each time the Apply button is selected.

Undo items in the lower list comprise all changes you made with Tweaki that support the undo feature. Items in this list are removed only when the feature in question gets returned to its original value.

To restore an item(s) simply select the corresponding checkbox, multiple selections can be made. When ready, select Restore to roll back the change.

See also: Save undo info to server


Default Assistant State

Large and visible:

Microsoft Office 97 only. MS Office should be closed before modifying this value. Default is unchecked.


Disable File | Send To | Mail Receipient

Disable File | Send To | Mail Recipient

Type topic text here.


Microsoft Office

Customize features for Microsoft Office 97 & 2000.


NT4 | Windows 2000

NT4 / Windows 2000

Customize features specific to Windows NT and Windows 2000.


Security

Sets security features for all versions of Windows.


Win Tweaks

Customize the Windows operating systems.


.topic 468
Typically a shared folder on a network drive containing Office templates.

.topic 373
Indicates the font size of the default font.

.topic 65
Check, uncheck boxes to make changes.

.topic 317
Force Windows to always recognize the amount of L2 cache on the system.

.topic 312
Allows the creation of a custom logon message that will appear each time the system boots up.

.topic 242
Used to change the size of the contiguous space that VFAT searches for when allocating disk space.

.topic 221
Path shell folder points to.

.topic 84
Set up Windows to run only allowed applications.

.topic 186
Makes the Start Menu items listed in alphabetical order.

.topic 194
Rebuilds the icon cache file. Reboot required.

.topic 318
Sets the location where printer spool files are created.

.topic 344
Allows the editing of the boot.ini file.

.topic 464
Sets the username that appears in the Office About and splash screens.

.topic 372
Indicates the current font used in Excel workbooks.

.topic 321
Excludes additional folders from the user's roaming profile.

.topic 220
Shell folders located on the system.

.topic 204
Edit and create the system vendor information listed within the System applet of Control Panel.

.topic 197
Manage applications that start each time your computer boots.

.topic 177
Indicates folder in which executable resides.

.topic 226
Remove a search domain from IE's Autoscan list.

.topic 230
Determines whether the OE splash screen appears when OE starts up.

.topic 241
Determines the behavior of ScanDisk at system boot up.

.topic 469
Items currently found on the Places Bar.

.topic 376
Sets the behavior of the AutoCalculation function.

.topic 310
Used to determine the text and background colors of the DOS Box window.

.topic 235
Modify the default search engine IE uses when conducting searches.

.topic 205
Edit and create the system vendor information listed within the System applet of Control Panel.

.topic 192
Edit the descriptions of files as listed in Windows Explorer.

.topic 183
Permits the editing of the startup item's properties listed in the Stats section.

.topic 195
Rebuilds the icon cache file. Reboot required.

.topic 289
Current logon screen saver.

.topic 222
Writes default values for all the system shell folders listed.

.topic 210
Edit the company and user name used to register Windows.

.topic 291
Contains the caption text of the message box that displays the logon message.

.topic 311
This option launches a dialog where you can customize the logon bitmap used behind the logon prompt.

.topic 551
Set the maximum size of the Word bitmap cache (in KB).

.topic 212
Edit the path where Windows searches for CAB files when installing the resources.

.topic 174
Re-enables the highlighted disabled startup item.

.topic 85
Set up Windows to run only allowed applications.

.topic 187
Makes the Start Menu items listed in alphabetical order.

.topic 375
Sets the location of the alternate startup folder.

.topic 379
Determines the maximum number of worksheets.

.topic 340
When you start a computer running Windows NT/2000, the browser service examines this value to determine whether a computer will become a browser.

.topic 314
Determines when Windows will issue an alert warning of a low disk space situation.

.topic 244
Provides a user interface for modifying the settings of the Registry Checker tool.

.topic 236
Determines length of time IE waits before returning an error when unable to connect to URL (measured in minutes).

.topic 209
Edit the company and user name used to register Windows.

.topic 173
Displays all the startup items that have been disabled for the startup location selected.

.topic 62
Removes currently selected template.

.topic 170
Select Startup location on computer to view.

.topic 178
Indicates any command line arguments being passed to the executable.

.topic 228
Prevents the user from creating a Hotmail account using Outlook Express.

.topic 315
Determines which errors appear as pop-up error messages that interupt the user.

.topic 465
Sets the company name that appears in the Office About and splash screens.

.topic 371
Sets the default size and font for Excel workbooks.

.topic 185
Permits removal of items from the New menu.

.topic 96
Clear Internet Explorer's typed URL list.

.topic 320
Lock memory for I/O operations.

.topic 213
Edit the path where Windows defaults application installations to.

.topic 184
Permits removal of items from the New menu.

.topic 176
Folder or registry path from which the executable loads.

.topic 63
Saves the current security selections as a template.

.topic 172
Displays items found to be starting up from the location choosen in the drop down list.

.topic 218
Disables auto logon using the credentials shown.

.topic 232
Modify the Outlook Express title bar.

.topic 247
System troubleshooting tool.

.topic 345
Determines the behavior of Windows File Protection (WFP).

.topic 308
Determines the background color of the Desktop prior to logging onto Windows.

.topic 202
Edit and remove listings from Control Panel's Add/Remove applet.

.topic 200
Set the computer to automatically enter username/password when starting up.

.topic 97
Clear Internet Explorer's typed URL list.

.topic 179
Indicates any comments embedded within the shortcut.

.topic 190
Increase the icon cache size. Default is 512. Reboot required.

.topic 191
Increase the icon cache size. Default is 512. Reboot required.

.topic 229
List of the Indentities found on the system for Outlook Express.

.topic 378
Determines the maximum number of undo levels Excel stores in memory.

.topic 214
Edit the path where Windows defaults application installations to.

.topic 207
Create application path keys for executables that lack them. Faciliates easier access to those executables.

.topic 201
Set the computer to automatically enter username/password when starting up.

.topic 198
Edit context sensitive menu appearing when right clicking files within Windows Explorer.

.topic 175
The executable name along with any command line parameters loading at startup.

.topic 215
Remotely connected computers.

.topic 245
Allows the addition of IP addresses to a single NIC card.

.topic 339
Specifies the maximum number of users that can be simultaneously logged on to the server.

.topic 343
Allows the modification of where the Dr. Watson file (drwtsn32.log) gets stored.

.topic 467
Determines where newly created or modified templates are saved.

.topic 466
Sets the path the Office applications will use to save and locate Office documents.

.topic 319
This feature allows you to increase the size of the Desktop heap thus avoiding out of memory errors.

.topic 237
Determines the amount of time the "Starting Windows 9x" message remains on the screen before Windows continues to boot up.

.topic 234
Create friendly names for Internet Explorer Favorites.

.topic 233
Modify the title bar of Internet Explorer.

.topic 208
Edit the registry locations for the shell folders.

.topic 196
Manage applications that start each time your computer boots.

.topic 55
Clears the logged on user's document history from Start Menu | Documents.

.topic 189
Adjust the delay submenus have before popping into view when the mouse hovers over them.

.topic 224
Lists the current IE search domains Autoscan parses.

.topic 227
Modify Outlook Express settings.

.topic 238
Sets the default menu choice on the Startup menu.

.topic 377
Determines the user name that Microsoft Excel attaches to Workbooks.

.topic 552
Sets the size of the Word file cache (in KB).

.topic 346
Determines the size of the WFP cache folder.

.topic 58
Clears the logged on user's MRU history lists.

.topic 60
Hide hard drives on your computer.

.topic 188
Enter a lower value to decrease the delay and a higher value to increase the delay. Default is 400. Reboot required.

.topic 219
Applies any changes made.

.topic 225
Add a valid search domain to IE's Autoscan list.

.topic 199
Edit context sensitive menu appearing when right clicking files within Windows Explorer.

.topic 193
Edit the descriptions of files as listed in Windows Explorer.

.topic 57
Clears the logged on user's Run history from Start Menu | Run.

.topic 56
Clears the logged on user's Run history from Start Menu | Run.

.topic 171
Disables any hightlighted items in the Startup items list.

.topic 182
Permits the addition of any application you choose to the selected startup location.

.topic 243
Determines the amount of RAM available to Windows.

.topic 341
Determines the number of minutes before a shared network resource is allowed to be idle before it is disconnected.

.topic 342
Allows the modification of where the Blue Screen of Death (BSOD) file (user.dmp) gets stored.

.topic 211
Edit the path where Windows searches for CAB files when installing the resources.

.topic 64
Accesses your saved security templates.

.topic 54
Clears the logged on user's document history from Start Menu | Documents.

.topic 292
Contains the message text of the custom logon message.

.topic 309
Determines the screen saver Windows will use when no user has logged on.

.topic 473
Sets the path for the Places Bar item.

.topic 288
Number of seconds to wait before the screen saver is invoked.

.topic 239
Determines the amount of time the "Starting Windows 9x" message remains on the screen before Windows continues to boot up.

.topic 223
Browse to the new path for the selected shell folder.

.topic 180
Indicates whether the startup item is displayed minimized, maximized or normal.

.topic 231
Determines whether the user can modify or add email & newsgroup account information.

.topic 290
Enter the full path to the bitmap by typing it in or using the Browse button.

.topic 470
Places the user-defined item in ascending order within the list of user-defined items.

.topic 246
Make compatible an application that is incompatible with Windows.

.topic 240
Restores your original msdos.sys file.

.topic 206
Create application path keys for executables that lack them. Faciliates easier access to those executables.

.topic 203
Edit and remove listings from Control Panel's Add/Remove applet.

.topic 66
Indicates current remote connections and connection currently being viewed.

.topic 59
Clears the logged on user's MRU history lists.

.topic 61
Hide hard drives on your computer.

.topic 181
Permanently deletes any highlighted items in the Disabled startup list.

.topic 216
Username used in conjunction with a password to log onto the system. Must not be blank.

.topic 217
Password used in conjunction with a username to log onto the system. Must not be blank.

.topic 313
Determines whether Windows will notify you of system or application errors.

.topic 374
Determines the default storage location and search path for Excel documents.

.topic 471
Displays the items on the Places Bar using the small icon format.

.topic 472
Sets the name of the Places Bar item.